package cn.wise.sc.pay.common.mq.client;

import cn.wise.sc.pay.common.mq.client.query.JMSDetail;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @description: 普通生产者
 * @author: qh
 * @create: 2019-12-13 16:32
 **/
@FeignClient(value = "common-mq-server", path = "/prouder", fallback = ProuderHystrix.class)
public interface IProducer {

    /**
     * 发送消息
     *
     * @param routeKey 路由键
     * @param msg
     */
    @PostMapping("/send")
    void send(@RequestParam("routeKey") String routeKey, @RequestParam("msg") String msg);

    /**
     * 构建JMS协议绑定
     *
     * @param jmsDetail JMS描述
     * @return
     */
    @PostMapping("/create/queue")
    boolean bindJMS(@RequestBody JMSDetail jmsDetail);

}
