package cn.wise.sc.pay.common.mq.rabbitmq;

import org.springframework.amqp.core.DirectExchange;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.core.MessageProperties;
import org.springframework.amqp.rabbit.core.RabbitAdmin;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author neo.shu
 * @since 2019/12/13 10:21
 */
@Component
public class MessageExchange {

    private RabbitAdmin rabbitAdmin;

    @Autowired
    public void setRabbitAdmin(RabbitAdmin rabbitAdmin) {
        this.rabbitAdmin = rabbitAdmin;
    }

    private RabbitTemplate rabbitTemplate;

    @Autowired
    public void setRabbitTemplate(RabbitTemplate rabbitTemplate) {

        this.rabbitTemplate = rabbitTemplate;
    }

    public void sendMessage(String exchangName,String msg) {
        DirectExchange exchange = new DirectExchange(exchangName, true, true);
        rabbitAdmin.declareExchange(exchange);
        rabbitTemplate.setExchange(exchangName);
        rabbitTemplate.send(new Message(msg.getBytes(), new MessageProperties()));
    }

}
