package cn.wise.sc.pay.common.security.authentication;

import org.springframework.security.core.userdetails.UserDetails;

import java.util.Map;

/**
 * description: 返回用户id
 */
public interface BaseUserDetails extends UserDetails {
    /**
     * 获取用户id
     * @return uid
     */
    String getUid();
    /**
     * 获取更多的用户信息
     * @return Map<String,Object>
     */
    Map<String,Object> getMoreUserInfo();
}
