package cn.wise.sc.pay.common.security2.userDetail;

import cn.wise.sc.pay.common.security2.SysUser;
import cn.wise.sc.pay.common.security2.service.AppUserJdbcService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;

import java.util.List;

/**
 * @description: app用户第三方登录用户验证 使用openId
 * @author: qh
 * @create: 2020-04-28 09:50
 **/
@Slf4j
public class JwtAppUserDetailsService implements UserDetailsService {

    @Autowired
    AppUserJdbcService appUserJdbcService;

    @Override
    public UserDetails loadUserByUsername(String openID) throws UsernameNotFoundException {

        //获取数据库用户信息
        List<SysUser> list = appUserJdbcService.getSysUserByOpenId(openID);
        //todo 权限获取
        if (list.size() == 0) {
            log.warn("未找到当前用户:{} \n ====== cn.wise.sc.pay.common.security2.userDetail.JwtAppUserDetailsService.loadUserByUsername", openID);
            throw new UsernameNotFoundException("未找到当前用户!");
        }
        UserDetails userDetails = list.get(0);

        return userDetails;
    }
}
