package cn.wise.sc.pay.business.comment.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
//@Accessors(chain = true)
public class Comment extends Model<Comment> {

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 文章id
     */
    private Long targetId;
    /**
     * 评论人id
     */
    private Long criticId;
    /**
     * 评论人名称
     */
    private String criticName;
    /**
     * 评论人头像
     */
    private String criticIamge;

    /**
     * 评论内容
     */
    private String content;

    /**
     * 点赞数
     */
    private Long praiseNum;
    /**
     * 回复数
     */
    @TableField("replies_num")
    private Long repliesNum;
    /**
     * 备用字段1
     */
    @TableField("com_back1")
    private String comBack1;

    /**
     * 备用字段2
     */
    @TableField("com_back2")
    private String comBack2;

    /**
     * 评论资源
     */
    @TableField(exist = false)
    private List<String> sources;

    /**
     * 评论资源对象
     */
    @TableField(exist = false)
    private List<Source> sourceVo;

    /**
     * 评论时间
     */
    private Long createTime;

    /**
     * 更新时间
     */
    private Long updateTime;

    /**
     * 二级评论列表
     */
    @TableField(exist = false)
    private List<Reply> replies;
}
