package cn.wise.sc.pay.business.comment.config;

import com.baomidou.mybatisplus.extension.parsers.DynamicTableNameParser;
import com.baomidou.mybatisplus.extension.parsers.ITableNameHandler;
import com.baomidou.mybatisplus.extension.plugins.PaginationInterceptor;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

import java.util.Collections;
import java.util.HashMap;

/**
 * @author neo.shu
 * @since 2019/11/26 11:03
 */
@Configuration
@MapperScan("cn.wise.sc.pay.business.comment.mapper")
@ComponentScan("cn.wise.sc.pay.business.comment")
public class MybatisPlusConfig {

    @Value("${spring.datasource.dtn.comment.prefix:}")
    private String prefix;

    @Value("${spring.datasource.dtn.comment.suffix:}")
    private String suffix;

    @Bean
    public PaginationInterceptor paginationInterceptor() {

        PaginationInterceptor paginationInterceptor = new PaginationInterceptor();
        DynamicTableNameParser dynamicTableNameParser = new DynamicTableNameParser();
        //添加动态表的通用名
        String[] dynamicTables = {"comment", "reply", "source"};

        dynamicTableNameParser.setTableNameHandlerMap(new HashMap<String, ITableNameHandler>(dynamicTables.length) {{
            for (String table : dynamicTables) {
                put(table, (metaObject, sql, tn) -> {
                    return prefix + tn + suffix;
                });
            }
        }});

        paginationInterceptor.setSqlParserList(Collections.singletonList(dynamicTableNameParser));

        return paginationInterceptor;
    }
}
