package cn.wise.sc.pay.business.goods.model;

import cn.wise.sc.pay.business.goods.model.vo.GoodsTypeVO;
import cn.wise.sc.pay.common.core.model.BaseResponse;

/**
 * @description: 商品类型统一返回
 * @author: qh
 * @create: 2019-12-16 22:14
 **/
public class GoodsTypeResponse extends BaseResponse<GoodsTypeVO> {

    private static GoodsTypeResponse createBaseResponse() {
        return new GoodsTypeResponse();
    }

    public static GoodsTypeResponse ok(String msg) {

        GoodsTypeResponse baseResponse = createBaseResponse();

        baseResponse.setCode(200);

        baseResponse.setData(new GoodsTypeVO());

        baseResponse.setClassName(GoodsTypeVO.class.getName());

        baseResponse.setMsg("操作成功");

        return baseResponse;
    }


    public static GoodsTypeResponse ok(GoodsTypeVO data) {

        GoodsTypeResponse baseResponse = createBaseResponse();

        baseResponse.setCode(200);

        baseResponse.setData(data);

        baseResponse.setClassName(data.getClass().getName());

        baseResponse.setMsg("操作成功");

        return baseResponse;
    }

    public static GoodsTypeResponse ok(String msg, GoodsTypeVO data) {

        GoodsTypeResponse baseResponse = createBaseResponse();

        baseResponse.setCode(200);

        baseResponse.setData(data);

        baseResponse.setClassName(data.getClass().getName());

        baseResponse.setMsg(msg);

        return baseResponse;
    }

    public static GoodsTypeResponse error(String msg) {

        GoodsTypeResponse baseResponse = createBaseResponse();

        baseResponse.setCode(400);

        baseResponse.setData(null);

        baseResponse.setClassName(GoodsTypeVO.class.getName());

        baseResponse.setMsg(msg);

        return baseResponse;
    }
}
