package cn.wise.sc.pay.business.goods.model;

import cn.wise.sc.pay.business.goods.model.vo.SpecificationVO;
import cn.wise.sc.pay.common.core.model.BaseResponse;

/**
 * @description: 规格统一返回
 * @author: qh
 * @create: 2019-12-16 22:14
 **/
public class SpcResponse extends BaseResponse<SpecificationVO> {
    private static SpcResponse createBaseResponse() {
        return new SpcResponse();
    }

    public static SpcResponse ok(String msg) {

        SpcResponse baseResponse = createBaseResponse();

        baseResponse.setCode(200);

        baseResponse.setData(new SpecificationVO());

        baseResponse.setClassName(SpecificationVO.class.getName());

        baseResponse.setMsg("操作成功");

        return baseResponse;
    }

    public static SpcResponse ok(SpecificationVO data) {

        SpcResponse baseResponse = createBaseResponse();

        baseResponse.setCode(200);

        baseResponse.setData(data);

        baseResponse.setClassName(data.getClass().getName());

        baseResponse.setMsg("操作成功");

        return baseResponse;
    }

    public static SpcResponse ok(String msg, SpecificationVO data) {

        SpcResponse baseResponse = createBaseResponse();

        baseResponse.setCode(200);

        baseResponse.setData(data);

        baseResponse.setClassName(data.getClass().getName());

        baseResponse.setMsg(msg);

        return baseResponse;
    }

    public static SpcResponse error(String msg) {

        SpcResponse baseResponse = createBaseResponse();

        baseResponse.setCode(400);

        baseResponse.setData(null);

        baseResponse.setClassName(SpecificationVO.class.getName());

        baseResponse.setMsg(msg);

        return baseResponse;
    }
}
