package cn.wise.sc.pay.business.goods.model.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.math.BigDecimal;

/**
 * @description: 扫码录入商品
 * @author: qh
 * @create: 2020-06-08 10:16
 **/
@Data
@ApiModel("扫码录入商品")
public class GoodsScanQuery {

    /**
     * 商品名字
     */
    @ApiModelProperty("名字")
    private String name;

    /**
     * 码
     */
    @ApiModelProperty("二维码")
    private String code;

    /**
     * 价格
     */
    @ApiModelProperty("价格")
    private BigDecimal price;

    /**
     * 类型
     */
    @ApiModelProperty(hidden = true)
    private String type = "扫码录入";

    /**
     * 商户id
     */
    @ApiModelProperty("商户id")
    private Long sellerId;
}
