

package cn.wise.sc.pay.laas.userbac.business.mapper;

import cn.wise.sc.pay.laas.userbac.domain.entity.SysMenu;
import cn.wise.sc.pay.laas.userbac.domain.vo.MenuVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 菜单权限表 Mapper 接口
 * </p>

 */
public interface SysMenuMapper extends BaseMapper<SysMenu> {

	/**
	 * 通过角色编号查询菜单
	 *
	 * @param roleId 角色ID
	 * @return
	 */
	List<MenuVO> listMenusByRoleId(@Param("roleId")Integer roleId, @Param("prefix")String prefix, @Param("suffix")String suffix);

	/**
	 * 通过角色ID查询权限
	 *
	 * @param roleIds Ids
	 * @return
	 */
	List<String> listPermissionsByRoleIds(@Param("roleIds") String roleIds, @Param("prefix")String prefix, @Param("suffix")String suffix);
}
