

package cn.wise.sc.pay.laas.userbac.business.service.impl;

import cn.hutool.core.collection.CollUtil;
import cn.wise.sc.pay.laas.userbac.business.mapper.SysMenuMapper;
import cn.wise.sc.pay.laas.userbac.business.mapper.SysRoleMenuMapper;
import cn.wise.sc.pay.laas.userbac.business.config.DTNFIX;
import cn.wise.sc.pay.laas.userbac.business.service.MenuService;
import cn.wise.sc.pay.laas.userbac.domain.entity.SysMenu;
import cn.wise.sc.pay.laas.userbac.domain.entity.SysRoleMenu;
import cn.wise.sc.pay.laas.userbac.domain.vo.MenuVO;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.api.R;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * 菜单权限表 服务实现类
 * </p>

 */
@Service
@AllArgsConstructor
public class MenuServiceImpl extends ServiceImpl<SysMenuMapper, SysMenu> implements MenuService {
	private final SysRoleMenuMapper sysRoleMenuMapper;

	@Autowired
	DTNFIX dtnfix;
	@Override
	//@Cacheable(value = "menu_details", key = "#roleId  + '_menu'")
	public List<MenuVO> getMenuByRoleId(Integer roleId) {
		return baseMapper.listMenusByRoleId(roleId,dtnfix.prefix(),dtnfix.suffix());
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	//@CacheEvict(value = "menu_details", allEntries = true)
	public R removeMenuById(Integer id) {
		// 查询父节点为当前节点的节点
		List<SysMenu> menuList = this.list(Wrappers.<SysMenu>query()
			.lambda().eq(SysMenu::getParentId, id));
		if (CollUtil.isNotEmpty(menuList)) {
			return R.failed("菜单含有下级不能删除");
		}

		sysRoleMenuMapper
			.delete(Wrappers.<SysRoleMenu>query()
				.lambda().eq(SysRoleMenu::getMenuId, id));

		//删除当前菜单及其子菜单
		return R.ok(this.removeById(id));
	}

	@Override
	//@CacheEvict(value = "menu_details", allEntries = true)
	public Boolean updateMenuById(SysMenu sysMenu) {
		return this.updateById(sysMenu);
	}
}
