

package cn.wise.sc.pay.laas.userbac.business.service.impl;

import cn.hutool.core.util.StrUtil;
import cn.wise.sc.pay.laas.userbac.business.mapper.SysRoleDeptMapper;
import cn.wise.sc.pay.laas.userbac.business.service.RoleDeptService;
import cn.wise.sc.pay.laas.userbac.domain.entity.SysRoleDept;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.AllArgsConstructor;
import org.springframework.cache.CacheManager;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 * 角色菜单表 服务实现类
 * </p>

 */
@Service
@AllArgsConstructor
public class RoleDeptServiceImpl extends ServiceImpl<SysRoleDeptMapper, SysRoleDept> implements RoleDeptService {
//	private final CacheManager cacheManager;

	/**
	 *
	 * @param roleIds  角色ID拼成的字符串
	 * @param deptId 部门id
	 * @return
	 */
	@Override
	@Transactional(rollbackFor = Exception.class)
	public Boolean saveRoleDept(String roleIds, Integer deptId) {
		if (StrUtil.isBlank(roleIds)) {
			return Boolean.TRUE;
		}
		List<String> roleIdList = Arrays.stream(roleIds.split(","))
				.collect(Collectors.toList());
		this.remove(Wrappers.<SysRoleDept>query().lambda()
			.in(SysRoleDept::getRoleId,roleIdList));
		List<SysRoleDept> roleDepts = roleIdList.stream().map(roleId -> {
			SysRoleDept roleDept = new SysRoleDept();
			roleDept.setDeptId(deptId);
			roleDept.setRoleId(Integer.valueOf(roleId));
			return roleDept;
		}).collect(Collectors.toList());
		return this.saveBatch(roleDepts);
	}

	@Override
	public List<SysRoleDept> getRoleDepts(Integer deptId) {
		if(deptId == null){
			return new ArrayList<>();
		}
		List<SysRoleDept> list = this.list(Wrappers.<SysRoleDept>query().lambda()
				.eq(SysRoleDept::getDeptId, deptId));
		return list;
	}

}
