

package cn.wise.sc.pay.laas.userbac.business.service.impl;

import cn.wise.sc.pay.laas.userbac.business.mapper.SysUserRoleMapper;
import cn.wise.sc.pay.laas.userbac.business.config.DTNFIX;
import cn.wise.sc.pay.laas.userbac.business.service.UserRoleService;
import cn.wise.sc.pay.laas.userbac.domain.entity.SysUserRole;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 用户角色表 服务实现类
 * </p>

 */
@Service
public class UserRoleServiceImpl extends ServiceImpl<SysUserRoleMapper, SysUserRole> implements UserRoleService {
	@Autowired
	DTNFIX dtnfix;
	/**
	 * 根据用户Id删除该用户的角色关系
	 *
	 * @param userId 用户ID
	 * @return boolean
	 * @author 寻欢·李
	 * @date 2017年12月7日 16:31:38
	 */
	@Override
	public Boolean removeRoleByUserId(Integer userId) {
		return baseMapper.deleteByUserId(userId,dtnfix.prefix(),dtnfix.suffix());
	}

	/**
	 * 根据用户Id删除该用户的角色关系
	 *
	 * @param userId 用户ID
	 * @return boolean
	 * @author 寻欢·李
	 * @date 2017年12月7日 16:31:38
	 */
	@Override
	public Boolean removeRoleByAppUserId(Integer userId) {
		return baseMapper.deleteByUserId(userId,"app_","");
	}
}
