package cn.wise.sc.pay.laas.userbac.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.*;

import javax.validation.constraints.Email;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SysUser extends Model<SysUser> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "user_id", type = IdType.AUTO)
    private Integer userId;
    /**
     * 用户名
     */
    private String username;

    private String password;
    /**
     * 随机盐
     */
    @JsonIgnore
    private String salt;
    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;
    /**
     * 0-正常，1-删除
     */
    @TableLogic
    private String delFlag;

    /**
     * 锁定标记
     */
    private String lockFlag;

    /**
     * 手机
     */

    private String phone;
    /**
     * 头像
     */
    private String avatar;

    /**
     * 部门ID
     */
    private Integer deptId;

    /**
     * 微信openid
     */
    private String wxOpenid;

    /**
     * 支付宝 openid
     */
    private String aliOpenid;

    /**
     * 商户id
     */
    private Long merchId;

    /**
     * 真实名称
     */
    private String realname;
    /**
     * 邮箱
     */
    @Email
    private String email;
    /**
     * 描述
     */
    private String describ;
    /**
     * 部门名称
     */
    private String deptname;
    /**
     * 会员等级
     */
    private String level;


    /**
     * 备用字段1
     */
    private String filed1;
    /**
     * 备用字段2
     */
    private String filed2;

}
