package cn.wise.sc.pay.pass.business.app.controller;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.laas.userbac.business.controller.RoleController;
import cn.wise.sc.pay.laas.userbac.business.service.MenuService;
import cn.wise.sc.pay.laas.userbac.business.service.RoleMenuService;
import cn.wise.sc.pay.laas.userbac.business.service.RoleService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.env.Environment;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author neo.shu
 * @since 2019/12/9 16:10
 */
@RestController
@RequestMapping("/manager/role")
@Api(value = "manager/role", tags = "app端角色管理")
public class UserRoleController extends RoleController {

    @Autowired
    private Environment environment;

    public UserRoleController(RoleService roleService, RoleMenuService roleMenuService, MenuService menuService) {
        super(roleService, roleMenuService,menuService);
    }

    @GetMapping("/host")
    public BaseResponse<String> getPictureHost(){
        return BaseResponse.ok(environment.getProperty("fdfs.imgaddress"));
    }
}
