package cn.wise.sc.pay.pass.business.app.controller.eshop;

import cn.wise.sc.pay.api.eshopping.service.IEshopBrandService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.model.query.EshopBrandQuery;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import javax.validation.constraints.DecimalMin;

/**
 * 会员相关信息
 */
@CrossOrigin
@RestController
@Api(description = "网上商城品牌  管理端")
@RequestMapping("/app/eshop/brand")
@Validated
public class EshopBrandController {

    @Autowired
    IEshopBrandService eshopBrandService;

    @GetMapping("brands")
    @ApiImplicitParams({
            @ApiImplicitParam(value = "品牌名称", name = "name", paramType = "query", dataType = "String"),
            @ApiImplicitParam(value = "页码", name = "pageNo", paramType = "query", dataType = "Integer", required = true),
            @ApiImplicitParam(value = "每页条数", name = "pageSize", paramType = "query", dataType = "Integer", required = true)
    })
    public BaseResponse brandPage(@RequestParam("name") String name,
                                  @RequestParam(value = "pageNo",required = true) @DecimalMin("0") Integer pageNo,
                                  @RequestParam(value = "pageSize",required = true) Integer pageSize){
        return eshopBrandService.brandPage(name, pageNo, pageSize);
    }

}
