package cn.wise.sc.pay.pass.business.app.controller.eshop;

import cn.wise.sc.pay.api.eshopping.service.IReceiveAddressService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.model.query.ReceiveAddressQuery;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@RestController
@Api(description = "省市地区")
@RequestMapping("/app/eshop/address")
@CrossOrigin
@Validated
public class EshopReceiveAddressController {

    @Autowired
    IReceiveAddressService receiveAddressService;

    @PostMapping
    public BaseResponse receiveAddress(@RequestBody ReceiveAddressQuery addressQuery){
        return receiveAddressService.receiveAddress(addressQuery);
    }

    @PostMapping("/update")
    public BaseResponse updateAddress(@RequestBody ReceiveAddressQuery addressQuery){
        return receiveAddressService.updateAddress(addressQuery);
    }

    @GetMapping("/addressList")
    public BaseResponse addressList(Integer userId){
        return receiveAddressService.addressList(userId);
    }

    @DeleteMapping
    public BaseResponse deleteBrand(Integer addressId){
        return receiveAddressService.deleteBrand(addressId);
    }
}

