package cn.wise.sc.pay.pass.business.app.controller.member;

import cn.wise.sc.pay.api.points.service.ISignInTimesService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.point.query.SignInTimesQuery;
import com.alibaba.fastjson.JSON;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @description: 用户签到
 * @author: qh
 * @create: 2020-03-12 14:22
 **/
@Slf4j
@CrossOrigin
@RequestMapping("/app/signInTimes")
@RestController
@Api(description = "会员签到相关")
public class AppSignInTimesController {

    final
    ISignInTimesService iSignInTimeService;

    public AppSignInTimesController(ISignInTimesService iSignInTimeService) {
        this.iSignInTimeService = iSignInTimeService;
    }

    @PostMapping
    @ApiOperation("新增签到记录:continuous连续天数,time签到时间(ms) ")
    public BaseResponse sign(@RequestBody SignInTimesQuery signInTime) {
        log.info(JSON.toJSONString(signInTime));
        return iSignInTimeService.sign(signInTime);
    }

    @GetMapping("/{userId}")
    @ApiOperation("获取用户的签到记录")
    @ApiImplicitParam(name = "userId", value = "用户id", dataType = "long", paramType = "path")
    public BaseResponse sign(@PathVariable("userId") Long userId) {
        return iSignInTimeService.getByUserId(userId);
    }
}
