package cn.wise.sc.pay.pass.business.app.controller.merchant;

import cn.wise.sc.pay.api.merchant.service.IBannerMenuService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.*;

/**
 * @author lqk
 * @since 2019/10/08 09:09
 */
@RestController
@CrossOrigin
@RequestMapping("/app/merchant/menu/")
@Slf4j
public class BannerMenuController {

    final IBannerMenuService menuService;

    public BannerMenuController(IBannerMenuService menuService) {
        this.menuService = menuService;
    }

    @GetMapping("getPageMenus")
    BaseResponse getPageMenus(Integer pageNo,Integer pageSize){
        return menuService.getPageMenus(pageNo,pageSize);
    }

}
