package cn.wise.sc.pay.pass.business.app.controller.merchant;

import cn.wise.sc.pay.api.merchant.service.IMerchantReplyService;
import cn.wise.sc.pay.business.comment.bean.Reply;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @description: 在线点单评论的回复
 * @author: qh
 * @create: 2020-06-15 15:21
 **/
@CrossOrigin
@RestController
@Api(tags = "在线点评的回复")
@RequestMapping("/app/merchant/reply")
public class MerchantReplyController {

    @Autowired
    IMerchantReplyService iMerchantReplyService;

    @PostMapping("/addReply")
    public BaseResponse inserReply(@RequestBody Reply reply) {
        return iMerchantReplyService.inserReply(reply);
    }

    @DeleteMapping("/deleteById/{id}")
    public BaseResponse deleteById(@PathVariable("id") Long id) {
        return iMerchantReplyService.deleteById(id);
    }

    @DeleteMapping("/deleteByCommentIds")
    public BaseResponse deleteByCommentIds(@RequestBody String commentIdStr) {
        return iMerchantReplyService.deleteByCommentIds(commentIdStr);
    }

    @PutMapping("/updatePariseNum/{id}")
    public BaseResponse updatePraiseNum(@PathVariable("id") Long id) {
        return iMerchantReplyService.updatePraiseNum(id);
    }

}
