package cn.wise.sc.pay.pass.business.app.model.vo;

import cn.wise.sc.pay.domain.point.bean.MemberInterests;
import cn.wise.sc.pay.domain.point.bean.UserExtra;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @description: app端VO
 * @author: qh
 * @create: 2019-12-26 13:58
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SysUserInfoVO {


    @ExcelIgnore
    private Integer userId;

    @ExcelIgnore
    private Long membershipId;

    @ExcelProperty(value = "经验", index = 3)
    private Double experience;

    @ExcelProperty(value = "积分", index = 4)
    private Double points;

    @ExcelProperty(value = "会员等级", index = 2)
    private String memberShipName;

    @ExcelIgnore
    private UserExtra userExtra;

    /**
     * 用户名
     */
    @ExcelProperty(value = "用户名", index = 0)
    private String username;

    @ExcelIgnore
    private String password;
    /**
     * 随机盐
     */
    @ExcelIgnore
    private String salt;
    /**
     * 创建时间
     */
    @ExcelIgnore
    private Date createTime;
    /**
     * 修改时间
     */
    @ExcelIgnore
    private Date updateTime;
    /**
     * 0-正常，1-删除
     */
    @TableLogic
    @ExcelIgnore
    private String delFlag;

    /**
     * 锁定标记
     */
    @ExcelProperty(value = "状态", index = 5)
    private String lockFlag;

    /**
     * 手机
     */
    @ExcelProperty(value = "手机号", index = 1)
    private String phone;
    /**
     * 头像
     */
    @ExcelIgnore
    private String avatar;

    /**
     * 部门ID
     */
    @ExcelIgnore
    private Integer deptId;

    /**
     * 微信openid
     */
    @ExcelIgnore
    private String wxOpenid;

    /**
     * 支付宝 openid
     */
    @ExcelIgnore
    private String aliOpenid;

    /**
     * 商户id
     */
    @ExcelIgnore
    private Long merchId;

    /**
     * 真实名称
     */
    @ExcelIgnore
    private String realname;
    /**
     * 邮箱
     */
    @ExcelIgnore
    private String email;
    /**
     * 描述
     */
    @ExcelIgnore
    private String describ;
    /**
     * 部门名称
     */
    @ExcelIgnore
    private String deptname;
    /**
     * 会员等级
     */
    @ExcelIgnore
    private String level;
    /**
     * 备用字段1
     */
    @ExcelIgnore
    private String filed1;
    /**
     * 备用字段2  会员背景图
     */
    @ExcelIgnore
    private String filed2;
    /**
     * 会员权益
     */
    List<MemberInterests> memberInterests;
    /**
     * 下一级积分
     */
    private Double nextPoints;

    /**
     * 经验下限
     */
    private Double downExperience;
    /**
     * 经验上限
     */
    private Double upExperience;
    /**
     * 会员折扣
     */
    private Double discount;
    /**
     * 下一级会员折扣
     */
    private Double nextDiscount;

}