package cn.wise.sc.pay.pass.business.cashiers.controller;

import cn.wise.sc.pay.api.association.service.IArticleService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.domain.association.bean.Article;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @description: 发布文章和图文控制器
 * @author: qh
 * @create: 2020-05-18 09:45
 */
@CrossOrigin
@RestController
@Api(tags = "文章控制器")
@RequestMapping("/association/article")
public class ArticleController {

  final IArticleService iArticleService;

  public ArticleController(IArticleService iArticleService) {
    this.iArticleService = iArticleService;
  }

  @GetMapping("/userCollections")
  @ApiOperation("用户收藏图文/文章")
  @ApiImplicitParams({
    @ApiImplicitParam(name = "userId", value = "用户id", paramType = "path", dataType = "Long"),
    @ApiImplicitParam(name = "pageNo", value = "页码", paramType = "path", dataType = "Integer"),
    @ApiImplicitParam(name = "pageSize", value = "每页条数", paramType = "path", dataType = "Integer")
  })
  public BaseResponse<Page<Article>> getCollectionArticle(Long userId, PageQuery pageQuery) {
    return iArticleService.getCollectionArticle(userId, pageQuery);
  }

  @GetMapping("/userPublishs")
  @ApiOperation("用发户布的图文/文章")
  @ApiImplicitParams({
    @ApiImplicitParam(name = "userId", value = "用户id", paramType = "path", dataType = "Long"),
    @ApiImplicitParam(name = "pageNo", value = "页码", paramType = "path", dataType = "Integer"),
    @ApiImplicitParam(name = "pageSize", value = "每页条数", paramType = "path", dataType = "Integer")
  })
  public BaseResponse<Page<Article>> getUserPublishArticle(Long userId, PageQuery pageQuery) {
    return iArticleService.getUserPublishArticle(userId, pageQuery);
  }

}
