package cn.wise.sc.pay.pass.business.manager.controller.association;


import cn.wise.sc.pay.api.association.service.IBannerService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.association.bean.Banner;
import cn.wise.sc.pay.domain.association.query.BannerQuery;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@Api(description = "社群类型管理")
@RestController
@RequestMapping("/manage/association/banner")
@CrossOrigin
public class BannerController {

    @Autowired
    IBannerService bannerService;

    @GetMapping("/list")
    @ApiOperation("获取社群分类导航")
    //@PreAuthorize("hasRole('ROLE_USER')")
    public ResponseEntity<List<Banner>> list() {
        ResponseEntity response = ResponseEntity.ok(bannerService.list().getData());
        return response;
    }

    @GetMapping("/rwList")
    @ApiOperation("获取人文艺术下分类导航")
    public BaseResponse rwList(){
        return bannerService.rwList();
    }

    @PostMapping("/addBanner")
    @ApiOperation("新增社群分类")
    public ResponseEntity addBanner(@RequestBody BannerQuery bannerQuery) {
        ResponseEntity response = ResponseEntity.ok(bannerService.addBanner(bannerQuery));
        return response;
    }


    @PutMapping("updateBannerName")
    @ApiOperation("更新社群分类名称")
    public ResponseEntity updateBannerName(@RequestBody Banner banner) {
        ResponseEntity response = ResponseEntity.ok(bannerService.updateBannerName(banner));
        return response;
    }


    @PutMapping("updateBannerOrder")
    @ApiOperation("更新社群分类排序")
    public ResponseEntity updateBannerOrder(Long tId, Long oId) {
        ResponseEntity response = ResponseEntity.ok(bannerService.updateBannerOrder(tId, oId));
        return response;
    }

    @DeleteMapping("deleteBanner")
    @ApiOperation("删除社群分类")
    public ResponseEntity deleteBannerById(Long id) {
        ResponseEntity response = ResponseEntity.ok(bannerService.deleteBannerById(id));
        return response;
    }
}











