package cn.wise.sc.pay.pass.business.manager.controller.eshop;

import cn.wise.sc.pay.api.eshopping.service.IEshopTypeService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.model.query.EshopTypeQuery;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@RestController
@Api(description = "商品分类")
@RequestMapping("/eshop/type")
@CrossOrigin
@Validated
public class EshopTypeController {

    @Autowired
    IEshopTypeService eshopTypeService;

    @PostMapping
    public BaseResponse addGoodsType(@RequestBody @Valid EshopTypeQuery eshopTypeQuery){
        return eshopTypeService.addGoodsType(eshopTypeQuery);
    }

    @PutMapping
    public BaseResponse updateGoodsType(@RequestBody @Valid EshopTypeQuery eshopTypeQuery){
        return eshopTypeService.updateGoodsType(eshopTypeQuery);
    }

    @GetMapping("typeTree")
    public BaseResponse goodsTypeTree(){
        return eshopTypeService.goodsTypeTree();
    }

    @DeleteMapping
    public BaseResponse deleteGoodsType(@RequestParam(value = "id") Integer id){
        return BaseResponse.ok(eshopTypeService.deleteGoodsType(id));
    }
}

