package cn.wise.sc.pay.pass.business.manager.controller.member;

import cn.wise.sc.pay.api.points.service.IMemberInterestsService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.domain.point.bean.MemberInterestsQuery;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @description: 会员权益 管理端
 * @author: qh
 * @create: 2020-01-08 10:27
 **/
@CrossOrigin
@RestController
@Api(description = "会员权益  管理端")
@RequestMapping("/manage/member/interests")
public class MemberInterestsController {

    @Autowired
    IMemberInterestsService iMSService;

    @PostMapping
    @ApiOperation("新增会员权益")
    public BaseResponse addNewInterests(@RequestBody MemberInterestsQuery MSQuery) {
        return iMSService.addNewInterests(MSQuery);
    }

    @PutMapping
    @ApiOperation("编辑会员权益")
    public BaseResponse editInterests(@RequestBody MemberInterestsQuery interestsQuery) {
        return iMSService.editInterests(interestsQuery);
    }

    @DeleteMapping("/{id}")
    @ApiOperation("根据id删除会员权益")
    @ApiImplicitParam(name = "id", value = "id", paramType = "path", dataType = "long")
    public BaseResponse delInterests(@PathVariable("id") Long id) {
        return iMSService.delInterests(id);
    }

    @GetMapping("/page")
    @ApiOperation("分页查询")
    public BaseResponse getPage(PageQuery pageQuery) {
        return iMSService.getPage(pageQuery);
    }

}
