package cn.wise.sc.pay.pass.business.manager.controller.merchant;
import cn.wise.sc.pay.api.merchant.service.IDeviceService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.domain.merchant.bean.Device;
import cn.wise.sc.pay.domain.merchant.bean.Merchant;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author lqk
 * @since 2019/10/08 09:09
 */
@RestController
@CrossOrigin
@RequestMapping("/manage/merchant/device/")
@Slf4j
public class  DeviceController {

    @Autowired
    IDeviceService deviceService;

    @GetMapping("typeName")
    public ResponseEntity getTypeList(String typeName) {
        return ResponseEntity.ok(deviceService.getTypeList(typeName).getData());
    }
    @DeleteMapping("page")
    public ResponseEntity devicePage(Long merchId, Integer typeId, PageQuery pageQuery) {
        return ResponseEntity.ok(deviceService.devicePage(merchId,typeId,pageQuery).getData());
    }
    @PostMapping("addOrUpdateDevice")
    public ResponseEntity addDevice(@RequestBody Device device) {
        return ResponseEntity.ok(deviceService.addDevice(device).getData());
    }
    @DeleteMapping("delete/{id}")
    public ResponseEntity deleteDevice(@PathVariable("id") Long id) {
        return ResponseEntity.ok(deviceService.deleteDevice(id).getData());
    }
}
