package cn.wise.sc.pay.paas.open.api.config;

import cn.wise.sc.pay.common.security2.config.JdbcConfig;
import cn.wise.sc.pay.common.security2.userDetail.JwtDeviceDetailsService;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.core.userdetails.UserDetailsService;

import javax.sql.DataSource;

/**
 * @description: token授权配置
 * @author: qh
 * @create: 2020-04-21 15:19
 **/
@Configuration
public class TokenConfig {

    @Bean("dataSourceToken")
    public DataSource deviceDataSource() {
        return JdbcConfig.createDataSourceDevice();
    }

    @Bean
    public UserDetailsService userDetailsService(){
        return new JwtDeviceDetailsService();
    }

}
