package cn.wise.sc.pay.api.association.service;

import cn.wise.sc.pay.business.comment.bean.Reply;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "saas-v1-association", path = "/association/commentReply", fallback = CommentReplyServiceImpl.class)
public interface ICommentReplyService {

    /**
     * 评论回复
     *
     * @param reply 评论回复实体
     * @return
     */
    @PostMapping("/addReply")
    BaseResponse inserReply(@RequestBody Reply reply);

    /**
     * 删除评论回复
     *
     * @param id 回复id
     * @return
     */
    @DeleteMapping("/deleteById")
    BaseResponse deleteById(@RequestParam("id") Long id);

    /**
     * 删除评论回复根据评论id列表
     *
     * @param commentIdStr 评论id 列表
     * @return
     */
    @DeleteMapping("/deleteByCommentIds")
    BaseResponse deleteByCommentIds(@RequestParam("commentIdStr") String commentIdStr);

    /**
     * 点赞数+1
     *
     * @param id 回复id
     * @return
     */
    @PutMapping("/updatePariseNum")
    BaseResponse updatePraiseNum(@RequestParam("id") Long id);
}
