package cn.wise.sc.pay.business.association.controller;


import cn.wise.sc.pay.business.association.service.IArticleService;
import cn.wise.sc.pay.business.comment.bean.Comment;
import cn.wise.sc.pay.business.comment.controller.CommonCommentController;
import cn.wise.sc.pay.business.comment.service.ICommentService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@RestController
@RequestMapping("/association/comment/")
@CrossOrigin
public class ArticleCommentController extends CommonCommentController {

    @Autowired
    IArticleService articleService;

    @Autowired
    ICommentService commentService;

    @Override
    public BaseResponse addComment(@RequestBody Comment comment) {
        boolean comNumB = articleService.updateArticleComNum(comment.getTargetId());
        return super.addComment(comment);
    }

    @Override
    @DeleteMapping("/deleteComment")
    @ApiOperation("根据ids删除评论 多个用英文逗号隔开")
    @ApiImplicitParam(name = "idStr", value = "id 多个用逗号分割", paramType = "body", dataType = "String")
    public BaseResponse deleteComment(@RequestParam("idStr")  String idStr) {
        return super.deleteComment(idStr);
    }

    @Override
    @PutMapping("/updatePraiseNum/{id}")
    @ApiOperation("评论点赞")
    @ApiImplicitParam(name = "id", value = "评论id", paramType = "path", dataType = "Long")
    public BaseResponse updateCommentPraise(@PathVariable Long id) {
        return super.updateCommentPraise(id);
    }

    @Override
    @GetMapping("/selectComment")
    @ApiOperation("评论列表 分页")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageQuery", value = "分页查询对象", paramType = "query", dataType = "PageQuery")
    })
    public BaseResponse getCommentList(PageQuery pageQuery) {
        return super.getCommentList(pageQuery);
    }


    @Override
    @GetMapping("/commentPage")
    @ApiOperation("根据评论主体 评论列表 分页")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "targetId", value = "评论主体id", paramType = "query", dataType = "Long"),
            @ApiImplicitParam(name = "pageQuery", value = "分页查询对象", paramType = "query", dataType = "PageQuery")
    })
    public BaseResponse<Page<Comment>> getCommentsByTargetId(Long targetId, PageQuery pageQuery) {
        return super.getCommentsByTargetId(targetId, pageQuery);
    }

}

