package cn.wise.sc.pay.business.association.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.association.bean.Collection;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.http.ResponseEntity;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-11-25
 */
public interface ICollectionService extends IService<Collection> {

    /**
     * 收藏图文/文章
     * @param articleId
     * @param userId
     * @return
     */
    BaseResponse addCollection(Long articleId, Long userId);

    /**
     * 取消收藏
     * @param id
     * @return
     */
    BaseResponse deleteCollection(Long id,Long userId);

    /**
     * 判断用户是否收藏文章
     * @param articleId
     * @param userId
     * @return
     */
    BaseResponse judgeCollection(Long articleId, Long userId);
}
