package cn.wise.sc.pay.business.association.service.impl;

import cn.wise.sc.pay.business.association.mapper.ArticleBannerMapper;
import cn.wise.sc.pay.business.association.mapper.BannerMapper;
import cn.wise.sc.pay.business.association.service.IArticleBannerService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.association.bean.Article;
import cn.wise.sc.pay.domain.association.bean.ArticleBanner;
import cn.wise.sc.pay.domain.association.bean.Banner;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@Service
public class ArticleBannerServiceImpl extends ServiceImpl<ArticleBannerMapper,ArticleBanner> implements IArticleBannerService {

    @Autowired
    BannerMapper bannerMapper;

    @Override
    public BaseResponse deleteRecommend(Long id) {
        QueryWrapper<Banner> wrapper = new QueryWrapper<>();
        wrapper.eq("name","推荐");
        List<Banner> banners = bannerMapper.selectList(wrapper);
        if(banners != null && banners.size() == 1){
            UpdateWrapper<ArticleBanner> wrap = new UpdateWrapper<>();
            wrap.eq("article_id",id);
            wrap.eq("banner_id",banners.get(0).getId());
            Boolean result = this.remove(wrap);
            return result ? BaseResponse.ok("移除推荐成功") : BaseResponse.error("移除推荐失败",Article.class);
        }
        return BaseResponse.error("移除推荐失败",Article.class);
    }

    @Override
    public BaseResponse recommend(List<Long> ids) {
        QueryWrapper<Banner> wrapper = new QueryWrapper<>();
        wrapper.eq("name","推荐");
        List<Banner> banners = bannerMapper.selectList(wrapper);
        if(banners != null && banners.size() == 1){
            List<ArticleBanner> list = new ArrayList<>();
            ids.stream().forEach(arg->{
                ArticleBanner articleBanner = ArticleBanner.builder()
                        .articleId(arg)
                        .bannerId(banners.get(0).getId().intValue())
                        .build();
                list.add(articleBanner);
            });
            if(list.size() > 0) {
                boolean count = this.saveBatch(list);
                return count ? BaseResponse.ok("推荐成功") : BaseResponse.error("推荐失败", Article.class);
            }
        }
        return BaseResponse.error("推荐失败",Article.class);
    }


}
