package cn.wise.sc.pay.business.association.service.impl;

import com.rabbitmq.client.Channel;
import org.springframework.amqp.rabbit.connection.Connection;
import org.springframework.amqp.rabbit.connection.ConnectionFactory;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.amqp.rabbit.listener.SimpleMessageListenerContainer;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.io.IOException;

@Component
public class Producer {

    @Autowired
    private RabbitTemplate rabbitTemplate;

    @Autowired
    private ConnectionFactory connectionFactory;

    /**
     * 发送消息
     * @param routeKey 路由键
     * @param msg
     */
    public void send(String routeKey, String msg) {

        this.rabbitTemplate.convertAndSend(routeKey, msg);
    }

    public  void  createQueue(String queueName) throws IOException {
        Connection conn =connectionFactory.createConnection();
        Channel channel = conn.createChannel(false);
        channel.queueDeclare(queueName, true, false, true, null);
        //声明交换机
        channel.exchangeDeclare(queueName, "direct");
        //绑定队列到交换机
        channel.queueBind(queueName,queueName,"");
        //将队列加入监听器
        SimpleMessageListenerContainer container = new SimpleMessageListenerContainer(connectionFactory);
        container.addQueueNames(queueName);
    }

    public void hashMq(String pointArticleAndExpQue) {
        Connection conn =connectionFactory.createConnection();
    }
}