package cn.wise.sc.pay.api.eshopping.service;

import cn.wise.sc.pay.api.eshopping.service.hystrix.EshopStoreServiceImpl;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.model.bean.EshopStore;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @description: 商品库存
 * @author: qh
 * @create: 2020-04-10 10:45
 **/
@FeignClient(value = "saas-v1-eshopping", path = "/eshop/EShopStore", fallback = EshopStoreServiceImpl.class)
public interface IEshopStoreService {

    @PutMapping("/reduce")
    BaseResponse<EshopStore> reduceStore(@RequestParam("goodId") Long goodId,
                                         @RequestParam("quantity") Integer quantity,
                                         @RequestParam("skuId") Long skuId);
}
