package cn.wise.sc.pay.api.eshopping.service;

import cn.wise.sc.pay.api.eshopping.service.hystrix.ReceiveAddressServiceImpl;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.model.query.ReceiveAddressQuery;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * 文章
 */
@FeignClient(value = "saas-v1-eshopping",path = "/eshop/address",fallback = ReceiveAddressServiceImpl.class)
public interface IReceiveAddressService {

    @PostMapping
    BaseResponse receiveAddress(@RequestBody ReceiveAddressQuery addressQuery);

    @PutMapping
    BaseResponse updateAddress(@RequestBody ReceiveAddressQuery addressQuery);

    @GetMapping("/addressList")
    BaseResponse addressList(@RequestParam("userId") Integer userId);

    @DeleteMapping
    BaseResponse deleteBrand(@RequestParam("addressId") Integer addressId);

}
