package cn.wise.sc.pay.business.eshopping.controller;

import cn.wise.sc.pay.business.eshopping.service.IEshopTypeService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.model.bean.EshopType;
import cn.wise.sc.pay.domain.eshopping.model.query.EshopTypeQuery;
import cn.wise.sc.pay.domain.eshopping.model.vo.EshopTypeVO;
import io.swagger.annotations.Api;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@RestController
@Api(tags = "商品分类")
@RequestMapping("/eshop/type")
@CrossOrigin
@Validated
public class EshopTypeController {

    final
    IEshopTypeService eshopTypeService;

    public EshopTypeController(IEshopTypeService eshopTypeService) {
        this.eshopTypeService = eshopTypeService;
    }

    @PostMapping
    public BaseResponse addGoodsType(@RequestBody @Valid EshopTypeQuery eshopTypeQuery){
        return eshopTypeService.addGoodsType(eshopTypeQuery);
    }

    @PutMapping
    public BaseResponse updateGoodsType(@RequestBody @Valid EshopTypeQuery eshopTypeQuery){
        if(eshopTypeQuery.getTypeId() == null){
            return BaseResponse.error("id为空",EshopType.class);
        }
        return eshopTypeService.updateGoodsType(eshopTypeQuery);
    }

    @GetMapping("typeTree")
    public BaseResponse goodsTypeTree(){
        return eshopTypeService.getGoodsTypeTree();
    }

    @DeleteMapping
    public BaseResponse deleteGoodsType(@RequestParam(value = "id") Integer id){
        return BaseResponse.ok(eshopTypeService.removeById(id));
    }
}

