package cn.wise.sc.pay.business.eshopping.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.model.bean.Specification;
import cn.wise.sc.pay.domain.eshopping.model.query.SpecificationQuery;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 商品规格 服务类
 * </p>
 *
 * @author qh
 * @since 2019-12-03
 */
public interface ISpecificationService extends IService<Specification> {

    /**
     * 新增规格
     *
     * @param specificationQuery
     * @return
     */
    BaseResponse newSpecification(SpecificationQuery specificationQuery);

    /**
     * 编辑
     *
     * @param specificationQuery
     * @return
     */
    BaseResponse editSpecification(SpecificationQuery specificationQuery);


    /**
     * 删除规格
     *
     * @param id
     * @return
     */
    BaseResponse delSpecification(long id);

    /**
     * 获取所有
     *
     * @return
     */
    BaseResponse getList(long goodsId);

    /**
     * 获取商品规格
     * @param goodsId
     * @return
     */
    BaseResponse getGoodsSpc(int goodsId);

}
