package cn.wise.sc.pay.business.eshopping.service.impl;

import cn.hutool.core.bean.BeanUtil;
import cn.wise.sc.pay.business.eshopping.mapper.ReceiveAddressMapper;
import cn.wise.sc.pay.business.eshopping.service.IReceiveAddressService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.model.bean.ReceiveAddress;
import cn.wise.sc.pay.domain.eshopping.model.query.ReceiveAddressQuery;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.toolkit.BeanUtils;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@Service
public class ReceiveAddressServiceImpl extends ServiceImpl<ReceiveAddressMapper, ReceiveAddress> implements IReceiveAddressService {

    @Override
    @Transactional(rollbackFor = Exception.class)
    public BaseResponse receiveAddress(ReceiveAddressQuery addressQuery) {
        ReceiveAddress receiveAddress = new ReceiveAddress();
        BeanUtil.copyProperties(addressQuery,receiveAddress);
        if(addressQuery.getDefAddr() == 0){
            UpdateWrapper wrapper = new UpdateWrapper();
            wrapper.set("def_addr",1);
            wrapper.eq("user_id",addressQuery.getUserId());
            this.update(wrapper);
        }
        this.save(receiveAddress);
        return BaseResponse.ok("收获地址已添加");
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public BaseResponse updateAddress(ReceiveAddressQuery addressQuery) {
        if(addressQuery.getDefAddr() == 0){
            //如果是修改默认收货地址，先将所有收货地址设为非默认，在修改
            UpdateWrapper wrapper = new UpdateWrapper();
            wrapper.set("def_addr",1);
            wrapper.eq("user_id",addressQuery.getUserId());
            this.update(wrapper);
        }
        ReceiveAddress receiveAddress = new ReceiveAddress();
        BeanUtil.copyProperties(addressQuery,receiveAddress);
        boolean b = this.updateById(receiveAddress);
        if(!b) {
            throw new RuntimeException();
        }
        return BaseResponse.ok("收货地址已修改");
    }

    @Override
    public BaseResponse addressList(Integer userId) {
        QueryWrapper wrapper = new QueryWrapper();
        wrapper.eq("user_id",userId);
        List<ReceiveAddress> result = this.list(wrapper);
        return BaseResponse.ok(result);
    }
}
