package cn.wise.sc.pay.domain.eshopping.model.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EshopGoods extends Model<EshopGoods> {

    /**
     * 商品主键标识
     */
    @TableId(type = IdType.AUTO)
    private Integer goodsId;

    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 商品编号
     */
    private String sn;
    /**
     * 品牌id
     */
    private Integer brandId;
    /**
     * 分类id
     */
    private Integer categoryId;
    /**
     * 重量
     */
    private Double weight;
    /**
     * 上架状态 1上架  0下架
     */
    private Integer marketEnable;
    /**
     * 详情
     */
    private String intro;
    /**
     * 商品价格
     */
    private Double price;
    /**
     * 成本价格
     */
    private Double cost;
    /**
     * 市场价格
     */
    private Double mktprice;
    /**
     * 是否有规格0没有 1有
     */
    private Integer haveSpec;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 最后修改时间
     */
    private Long lastModify;
    /**
     * 浏览数量
     */
    private Integer viewCount;
    /**
     * 购买数量
     */
    private Integer buyCount;
    /**
     * 是否被删除 0逻辑已删除 1未删除 -1彻底删除
     */
    private Integer disabled;
    /**
     * 库存
     */
    private Integer quantity;
    /**
     * 可用库存
     */
    private Integer enableQuantity;
    /**
     * 商品好评率
     */
    private Double grade;
    /**
     * 原图路径
     */
    private String original;
    /**
     * 评论数量
     */
    private Integer commentNum;
    /**
     * 运费模板id
     */
    private Integer templateId;
    /**
     * 谁承担运费0：买家承担，1：卖家承担
     */
    private Integer goodsTransfeeCharge;

    /**
     * 商品描述或 简介
     */
    private String describ;

    @TableField(exist = false)
    private Specification specification;

}
