package cn.wise.sc.pay.domain.eshopping.model.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @description:
 * @author: qh
 * @create: 2019-12-03 15:37
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel
public class SpecificationQuery implements Serializable {
    private static final long serialVersionUID = 4541763505917305273L;

    @ApiModelProperty(value = "商品规格id", name = "id", required = false)
    private long id;

    /**
     * 商品id
     */
    @ApiModelProperty(value = "商品id", name = "goodsId", required = false)
    private long goodsId;

    /**
     * 规格名
     */
    @ApiModelProperty(value = "商品规格名称", name = "name", required = true)
    private String name;

    /**
     * 状态
     */
    @ApiModelProperty(value = "状态", name = "status", required = false)
    private int status;

    /**
     * 名字
     */
    @ApiModelProperty(value = "规格详情名称", name = "descr", required = true)
    private String descr;

    /**
     * 售价
     */
    @ApiModelProperty(value = "具体规格价格", name = "price", required = true)
    private double price;

    /**
     * 重量
     */
    @ApiModelProperty(value = "具体规格重量", name = "weight", required = true)
    private Double weight;

    /**
     * 库存
     */
    @ApiModelProperty(value = "具体规格库存", name = "store", required = true)
    private int store;
}
