package cn.wise.sc.pay.domain.eshopping.query;

import cn.wise.sc.pay.domain.eshopping.model.bean.LogisticsParent;
import cn.wise.sc.pay.domain.eshopping.model.bean.LogisticsTemplate;
import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel
public class LogisticsTemplateQuery implements Serializable {
    /**
     * 主键id
     */
    @ApiModelProperty(value = "模板主键id")
    private Integer id;
    /**
     * 物流模板名称
     */
    @NotNull(message = "物流模板名称不能为空")
    @ApiModelProperty(value = "物流模板名称")
    private String name;
    /**
     * 计费方式，0：按件计费，1按重量计费
     */
    @NotNull(message = "计费方式不能为空")
    @ApiModelProperty(value = "计费方式，0：按件计费，1按重量计费")
    private Integer feeWay;

    /**
     * 子模板参数对象
     */
    @ApiModelProperty(value = "子模板参数对象")
    private List<LogisticsChildQuery> logisticsChildQueries;


    public static LogisticsParent query2Entity(LogisticsTemplateQuery logisticsTemplateQuery) {
        LogisticsParent logisticsParent = new LogisticsParent();
        //物流模板参数赋值
        logisticsParent.setName(logisticsTemplateQuery.getName());
        logisticsParent.setFeeWay(logisticsTemplateQuery.getFeeWay());
        logisticsParent.setId(logisticsTemplateQuery.getId());

        return logisticsParent;
    }

    //==================
    public static List<String> string2List(String value) {
        List<String> strings = JSON.parseArray(value, String.class);
        return strings;
    }

    public static List<LogisticsTemplate> query2List(LogisticsTemplateQuery logisticsTemplateQuery) {
        ArrayList<LogisticsTemplate> logisticsTemplates = new ArrayList<>();
        //物流子模板
        List<LogisticsChildQuery> logisticsChildQueries = logisticsTemplateQuery.getLogisticsChildQueries();
        logisticsChildQueries.stream().forEach(lc -> {
            LogisticsTemplate logisticsTemplate = LogisticsChildQuery.query2Entity(lc);
            logisticsTemplates.add(logisticsTemplate);
        });
        return logisticsTemplates;
    }
}
