package cn.wise.sc.pay.api.exhibition.service;

import cn.wise.sc.pay.business.comment.bean.Comment;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @description: 展览的评论
 * @author: qh
 * @create: 2020-04-28 14:43
 **/
@FeignClient(value = "saas-v1-exhibition", path = "/exhibition/comment", fallback = ExhibitionCommServiceImpl.class)
public interface IExhibitionsCommentService {

    /**
     * 评论展览
     * @param comment 评论实体
     * @return
     */
    @PostMapping("/addComment")
    BaseResponse addComment(@RequestBody Comment comment);

    /**
     * 展览评论分页数据
     * @param targetId
     * @param pageQuery 分页对象
     * @return
     */
    @GetMapping("/commentPage")
    BaseResponse getCommentsByTargetId(@RequestParam("targetId") Long targetId,
                                       @SpringQueryMap PageQuery pageQuery);
}
