package cn.wise.sc.pay.business.exhibition.controller;

import cn.wise.sc.pay.business.exhibition.configure.FastDFSUtils;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

/**
 * @description: 图片上传专用地址
 * @author: qh
 * @create: 2020-01-09 19:29
 **/
@Api(description = "展览详情")
@RestController
@RequestMapping("/image")
@CrossOrigin
public class ImageController {

    @Autowired
    FastDFSUtils fastDFSUtils;

    @PostMapping("/upload")
    @ApiOperation("上传图片")
    public BaseResponse upload(MultipartFile file) {

        Map<String, String> map = new HashMap<>();
        String path = "";
        if (file != null && StringUtils.isNotEmpty(file.getOriginalFilename())) {
            try {
                path = fastDFSUtils.uploadFile(file).getPath();
                map.put("host", fastDFSUtils.fullUrl(path));
            } catch (IOException e) {
                return BaseResponse.error("图片上传失败", map);
            }
        }
        map.put("uri", path);
        return BaseResponse.ok(map);
    }

}
