package cn.wise.sc.pay.domain.exhibition.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 * 入场二维码
 * </p>
 *
 * @author qh
 * @since 2019-11-21
 */
@TableName("entrance_QRcode")
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EntranceQrcode extends Model<EntranceQrcode> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 票类型
     */
    private String ticketType;
    /**
     * 活动id(此处为展览)
     */
    private Long associationId;
    /**
     * 二维码状态  0:不可用 1:可用
     */
    private Integer status;
    /**
     * 有效起始时间
     */
    private Long createTime;
    /**
     * 有效结束时间
     */
    private Long endTime;

    /**
     * 用户id
     */
    private Long userId;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTicketType() {
        return ticketType;
    }

    public void setTicketType(String ticketType) {
        this.ticketType = ticketType;
    }

    public Long getAssociationId() {
        return associationId;
    }

    public void setAssociationId(Long associationId) {
        this.associationId = associationId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getEndTime() {
        return endTime;
    }

    public void setEndTime(Long endTime) {
        this.endTime = endTime;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "EntranceQrcode{" +
        ", id=" + id +
        ", ticketType=" + ticketType +
        ", associationId=" + associationId +
        ", status=" + status +
        ", createTime=" + createTime +
        ", endTime=" + endTime +
        "}";
    }
}
