package cn.wise.sc.pay.domain.exhibition.vo;

import cn.wise.sc.pay.domain.exhibition.bean.ExhibitionGround;
import cn.wise.sc.pay.domain.exhibition.bean.ExhibitionStore;
import cn.wise.sc.pay.domain.exhibition.bean.Ticket;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @description:
 * @author: qh
 * @create: 2019-11-20 10:31
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ExhibitionGroundVO implements Serializable {

    private static final long serialVersionUID = -7960847579642688224L;

    private Long id;

    /**
     * 时间段
     */
    private String ground;

    /**
     * 总销售
     */
    private Integer totalSold;

    private List<TicketVO> ticketVOS;

    public ExhibitionGroundVO(ExhibitionGround exGround, List<ExhibitionStore> exStores, List<Ticket> tickets, String ground) {

        this.ground = ground;
        this.id = exGround.getId();

        this.ticketVOS = new ArrayList<>();

        for (Ticket ticket : tickets) {

            ExhibitionStore exStore = exStores.stream()
                    .filter(arg -> arg.getTicketId().longValue() == ticket.getId())
                    .findFirst().get();
            TicketVO ticketVO = new TicketVO(ticket, exStore);

            ticketVOS.add(ticketVO);
        }
    }
}
