package cn.wise.sc.pay.api.merchant.service;

import cn.wise.sc.pay.api.merchant.service.hystrix.MerchantProfitServiceImpl;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;
import java.math.BigDecimal;

@FeignClient(value = "saas-v1-merchant", path = "/merchant/money/", fallback = MerchantProfitServiceImpl.class)
public interface IMerchantProfitService {

    @GetMapping("/moneyByStrategy")
    BaseResponse getMoneyByStrategy(@RequestParam("merchantId") Long merchantId,
                                    @RequestParam("strategy") Integer strategy,
                                    @RequestParam("startTime") Long startTime,
                                    @RequestParam("endTime") Long endTime);

    @PostMapping("/addProfit")
    BaseResponse addMoneyData(@RequestParam("merchantId") Long merchantId,
                              @RequestParam("orderId")Long orderId,
                              @RequestParam("payment")String payment,
                              @RequestParam("money")BigDecimal money,
                              @RequestParam("createTime")Long createTime);

}
