package cn.wise.sc.pay.api.merchant.service;

import cn.wise.sc.pay.api.merchant.service.hystrix.TaxCertificateServiceImpl;
import cn.wise.sc.pay.domain.merchant.bean.TaxCertificate;
import cn.wise.sc.pay.domain.merchant.query.TaxCertificateQuery;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@FeignClient(value = "saas-v1-merchant", path = "/merchant/tax/", fallback = TaxCertificateServiceImpl.class)
public interface ITaxCertificateService {

    @PostMapping("add")
    public ResponseEntity addInstitution(@RequestBody TaxCertificateQuery query) ;

    @PutMapping("update")
    public ResponseEntity updateLicense(@RequestBody TaxCertificate taxCertificate);

    @GetMapping("get")
    public ResponseEntity<TaxCertificate> getInstitution(@RequestParam("id") Long id);

}
