package cn.wise.sc.pay.api.merchant.service;

import cn.wise.sc.pay.api.merchant.service.hystrix.TransportationHubServiceImpl;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageWrapperQuery;
import cn.wise.sc.pay.domain.merchant.bean.TransportationHub;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @description: 交通枢纽对外接口
 * @author: qh
 * @create: 2020-06-09 15:53
 **/
@FeignClient(value = "saas-v1-merchant", path = "/transportationHub", fallback = TransportationHubServiceImpl.class)
public interface ITransportationHubService {

    @PostMapping("/list")
    BaseResponse list(@RequestBody PageWrapperQuery pageWrapperQuery);

    @PostMapping("/page")
    BaseResponse page(@RequestBody PageWrapperQuery page);

    @GetMapping("/{id}")
    BaseResponse getById(@PathVariable("id") long id);

    @PostMapping
    BaseResponse create(@RequestBody TransportationHub model);

    @PutMapping
    BaseResponse update(@RequestBody TransportationHub model);

    @DeleteMapping("/{id}")
    BaseResponse delById(@PathVariable("id") long id);

}
