package cn.wise.sc.pay.api.merchant.service.hystrix;

import cn.wise.sc.pay.api.merchant.service.IDeviceUserService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import org.springframework.stereotype.Component;

/**
 * @description: 商户断路器
 * @author: lqk
 * @create: 2019-12-25
 **/
@Component(value = "DeviceUserImplHy")
public class DeviceUserImpl implements IDeviceUserService {

    @Override
    public BaseResponse getDeviceUser(String deviceCode, Integer userId) {
        error();
        return null;
    }

    @Override
    public BaseResponse addDeviceUser(String deviceCode, Long userId) {
        error();
        return null;
    }

    @Override
    public BaseResponse getMerchDevices(Long merchId) {
        error();
        return null;
    }

    /**
     * 服务异常
     *
     * @return
     */
    private BaseResponse error() {
        throw new RuntimeException("商户-设备人员服务异常,请检查服务状态!");
    }



}
