package cn.wise.sc.pay.business.merchant.controller;

import cn.wise.sc.pay.business.merchant.service.IBankPermitService;
import cn.wise.sc.pay.domain.merchant.bean.BankPermit;
import cn.wise.sc.pay.domain.merchant.query.BankPermitQuery;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.env.Environment;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author neo.shu
 * @since 2019/10/08 09:09
 */
@RestController
@CrossOrigin
@RequestMapping("/merchant/bank/")
@Slf4j
public class BankPermitController {

    @Autowired
    IBankPermitService bankPermitService;

    @Autowired
    private Environment environment;

    @PostMapping("addLicense")
    public ResponseEntity addBankPermit(@RequestBody BankPermitQuery bankPermitQuery) {
        if(bankPermitQuery.getMerchantId() == null){

            return ResponseEntity.badRequest().body("商户id为空");
        }
        return bankPermitService.insertBankPermit(bankPermitQuery);
    }

    @PutMapping("updateLicense")
    public ResponseEntity updateLicense(@RequestBody BankPermit bankPermit){
        if(bankPermit.getId() == null){
            return ResponseEntity.badRequest().body("参数错误");
        }
        return bankPermitService.updateBankPermit(bankPermit);
    }

    @GetMapping("getBankPermit")
    public ResponseEntity<BankPermit> getBankPermit(Long id){
        BankPermit bankPermit = bankPermitService.getById(id);
        bankPermit.setLicenseImage(environment.getProperty("fdfs.imgaddress") + bankPermit.getLicenseImage());
        return ResponseEntity.ok(bankPermit);
    }
}
