package cn.wise.sc.pay.business.merchant.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.merchant.bean.BannerImage;
import cn.wise.sc.pay.domain.merchant.query.BannerImageQuery;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-12-26
 */
public interface IBannerImageService extends IService<BannerImage> {

    BaseResponse<BannerImage> addBannerImage(MultipartFile file, Integer type);

    List<BannerImage> getBannerImages(String type);

    BaseResponse deleteBannerImage(Integer id);

    /**
     * 添加收银端广告图
     *
     * @param bannerImageQuery
     * @return
     */
    BaseResponse<BannerImage> addCashierAdvert(BannerImageQuery bannerImageQuery, Integer type);

    /**
     * 收银端根据商家id获取商家广告图
     *
     * @param merchantId
     * @return
     */
    BaseResponse getCashierAdvert(Long merchantId, Integer type);

    /**
     * 分页店铺对应的广告图
     *
     * @param pageNo
     * @param pageSize
     * @return
     */
    BaseResponse listBannerByMerchants(Integer pageNo, Integer pageSize, String name);
}
