package cn.wise.sc.pay.business.merchant.service.impl;

import cn.wise.sc.pay.business.merchant.configure.FastDFSUtils;
import cn.wise.sc.pay.business.merchant.mapper.BannerMenuMapper;
import cn.wise.sc.pay.business.merchant.service.IBannerMenuService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.merchant.bean.BannerMenu;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName BankPermitServiceImpl
 * @Author Administrator
 * @Date 2019/12/18
 * @Version V1.0
 **/
@Service
public class BannerMenuServiceImpl extends ServiceImpl<BannerMenuMapper, BannerMenu> implements IBannerMenuService {

    @Autowired
    FastDFSUtils fastDFSUtils;

    @Override
    public ResponseEntity<BannerMenu> addOrUpdateBannerMenu(BannerMenu menu) {
        if(menu.getId() != null){
            menu.setUpdateTime(System.currentTimeMillis());
            this.updateById(menu);
        }else{
            QueryWrapper wrapper = new QueryWrapper();
            wrapper.orderByDesc("order_num");
            wrapper.last("limit 1");
            BannerMenu menu1 = this.getOne(wrapper);
            menu.setOrderNum(1);
            if(menu1 != null){
                menu.setOrderNum(menu1.getOrderNum() + 1);
            }
            menu.setCreateTime(System.currentTimeMillis());
            menu.setUpdateTime(System.currentTimeMillis());
            this.save(menu);
        }
        return ResponseEntity.ok(menu);
    }

    @Override
    public List<BannerMenu> getBannerMenus() {
        QueryWrapper wrapper = new QueryWrapper();
        wrapper.eq("del_flag",0);
        wrapper.orderByAsc("order_num");
        List<BannerMenu> list = this.list(wrapper);
        list.stream().forEach(arg->{
            arg.setMenuIcon(fastDFSUtils.fullUrl(arg.getMenuIcon()));
        });
        return list;
    }

    @Override
    public BaseResponse deleteBannerMenu(Integer id) {
        BannerMenu byId = this.getById(id);
        if(byId != null){
            byId.setDelFlag(1);
        }
        boolean res = this.updateById(byId);
        return res ? BaseResponse.ok("删除成功") : BaseResponse.error("删除失败", BannerMenu.class);
    }

    @Override
    public BaseResponse orderMenu(Integer type, Integer id) {
        BannerMenu menu = this.getById(id);
        QueryWrapper wrapper = new QueryWrapper();
        wrapper.ne("del_flag", 1);
        wrapper.last("limit 1");
        BannerMenu resMenu = null;
        if(type == 0){
            wrapper.orderByDesc("order_num");
            wrapper.lt("order_num",menu.getOrderNum());
            resMenu = this.getOne(wrapper);
        }else{
            wrapper.orderByAsc("order_num");
            wrapper.gt("order_num",menu.getOrderNum());
            resMenu = this.getOne(wrapper);
        }
        if(resMenu == null){
            return BaseResponse.error("当前位置无法移动", BannerMenu.class);
        }else{
            int a = menu.getOrderNum();
            menu.setOrderNum(resMenu.getOrderNum());
            resMenu.setOrderNum(a);
            this.updateById(menu);
            this.updateById(resMenu);
            return BaseResponse.ok("成功");
        }
    }
}
