package cn.wise.sc.pay.business.merchant.service.impl;

import cn.wise.sc.pay.business.merchant.mapper.InstitutionMapper;
import cn.wise.sc.pay.business.merchant.service.IInstitutionService;
import cn.wise.sc.pay.domain.merchant.bean.Institution;
import cn.wise.sc.pay.domain.merchant.query.InstitutionQuery;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@Service
public class InstitutionServiceImpl extends ServiceImpl<InstitutionMapper, Institution>
        implements IInstitutionService {

    @Override
    public ResponseEntity insertInstitution(InstitutionQuery query) {
        Institution institution = Institution.builder()
                .instCertificate(query.getInstCertificate())
                .instCode(query.getInstCode())
                .merchantId(query.getMerchantId())
                .createTime(System.currentTimeMillis())
                .updateTime(System.currentTimeMillis())
                .build();
        boolean result = this.save(institution);
        return result  ? ResponseEntity.ok("商户机构信息保存成功") : ResponseEntity.badRequest().body("信息保存失败");
    }

    @Override
    public ResponseEntity updateInstitution(Institution institution) {
        Institution institution1 = this.getById(institution.getId());
        institution.setCreateTime(institution1.getCreateTime());
        institution.setUpdateTime(System.currentTimeMillis());
        boolean result = this.updateById(institution);
        return result  ? ResponseEntity.ok("商户机构信息修改成功") : ResponseEntity.badRequest().body("信息更新失败");
    }
}
