package cn.wise.sc.pay.business.merchant.service.impl;

import cn.wise.sc.pay.business.merchant.mapper.TaxCertificateMapper;
import cn.wise.sc.pay.business.merchant.service.ITaxCertificateService;
import cn.wise.sc.pay.domain.merchant.bean.TaxCertificate;
import cn.wise.sc.pay.domain.merchant.query.TaxCertificateQuery;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@Service
public class TaxCertificateServiceImpl extends ServiceImpl<TaxCertificateMapper, TaxCertificate>
        implements ITaxCertificateService {

    @Override
    public ResponseEntity insertTaxCertificate(TaxCertificateQuery query) {
        TaxCertificate taxCertificate = TaxCertificate.builder()
                .taxCert(query.getTaxCert())
                .taxCode(query.getTaxCode())
                .merchantId(query.getMerchantId())
                .taxpayerCert(query.getTaxpayerCert())
                .taxpayerCode(query.getTaxpayerCode())
                .createTime(System.currentTimeMillis())
                .updateTime(System.currentTimeMillis())
                .build();
        boolean result = this.save(taxCertificate);
        return result  ? ResponseEntity.ok("税务信息保存成功") : ResponseEntity.badRequest().body("信息保存失败");
    }

    @Override
    public ResponseEntity updateTaxCertificate(TaxCertificate taxCertificate) {
        TaxCertificate certificate = this.getById(taxCertificate.getId());
        taxCertificate.setCreateTime(certificate.getCreateTime());
        taxCertificate.setUpdateTime(System.currentTimeMillis());
        boolean result = this.updateById(taxCertificate);
        return result  ? ResponseEntity.ok("税务信息更新成功") : ResponseEntity.badRequest().body("信息更新失败");
    }
}
