package cn.wise.sc.pay.domain.merchant.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @ClassName Merchant
 * @Description :商户开户行相关信息
 * @Author lqk
 * @Date 2019/12/17
 * @Version V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BankPermit extends Model<BankPermit> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 商户id
     */
    private Long merchantId;
    /**
     * 开户行名称
     */
    private String bankName;
    /**
     * 商户在开户行账号
     */
    private String bankCount;
    /**
     * 开户支行名称
     */
    private String infoName;
    /**
     * 开户支行所在地
     */
    private String bankAddress;

    /**
     * 开户行许可证
     */
    private String licenseImage;

    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 更新时间
     */
    private Long updateTime;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
