package cn.wise.sc.pay.domain.merchant.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName Category
 * @Description :
 * @Author lqk
 * @Date 2019/12/17
 * @Version V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Category extends Model<Category> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 分类名称
     */
    private String name;

    /**
     * 分类父id
     */
    private Long parentId;

    /**
     * 分类等级
     */
    private Integer rank;

    /**
     * 树形结构
     */
    @TableField(exist = false)
    private List<Category> categories = new ArrayList<>();

    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 更新时间
     */
    private Long updateTime;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
