package cn.wise.sc.pay.domain.merchant.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @ClassName Merchant
 * @Description :商家或者店铺
 * @Author lqk
 * @Date 2019/12/17
 * @Version V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Merchant extends Model<Merchant> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 敏感操作密码
     */
    private String sensitivePwd;

    /**
     * 奥索商户账号
     */
    private String merchAppid;
    /**
     * 奥索商户登录密码
     */
    private String merchSecret;
    /**
     * 商户名称
     */
    private String merchName;
    /**
     * 商户地址
     */
    private String merchAddress;
    /**
     * 商户描述备注
     */
    private String described;
    /**
     * 商户电话
     */
    private String merchPhone;
    /**
     * 雇员数
     */
    private Integer staffNum;

    /**
     * 注册资金
     */
    private Long registerMoney;

    /**
     * 联系人
     */
    private String linkPerson;
    /**
     * 联系电话
     */
    private String linkPhone;

    /**
     * 联系邮箱
     */
    private String linkEmail;

    /**
     * 0自营 1非自营
     */
    private byte attached;
    /**
     * 成立时间
     */
    private Long establishTime;
    /**
     * 经营状态 0正常 1删除
     */
    private byte manageStatus;

    /**
     * 经营状态描述 比如：关闭原因
     */
    private String statusDescribe;
    /**
     * 删除状态 0正常 1删除
     */
    private byte delStatus;
    /**
     * 商户利润占比
     */
    private Integer merchRate;
    /**
     * 奥索利润占比
     */
    private Integer aosRate;

    /**
     * 招行商家appid
     */
    private String cmbAppid;
    /**
     * 招行商家secret
     */
    private String cmbSecret;

    /**
     * 备用字段1
     */
    private String back;

    /**
     * 备用字段2
     */
    private String reBack;

    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 更新时间
     */
    private Long updateTime;

    /**
     * 白名单状态，1表示白名单，0表示非白名单
     */
    private Integer whiteList;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
