package cn.wise.sc.pay.domain.merchant.excelvo;

import cn.hutool.core.bean.BeanUtil;
import cn.wise.sc.pay.domain.merchant.bean.Merchant;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import jdk.nashorn.internal.ir.annotations.Ignore;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.beanutils.BeanUtils;

import java.lang.reflect.InvocationTargetException;
import java.text.SimpleDateFormat;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class MerchantExcelVO extends BaseRowModel {

    /**
     * 奥索商户账号
     */
    @ExcelProperty(value = "奥索-商家号", index = 0)
    private String merchAppid;

    /**
     * 商户名称
     */
    @ExcelProperty(value = "商家名称", index = 1)
    private String merchName;
    /**
     * 商户地址
     */
    @ExcelProperty(value = "注册地", index = 2)
    private String merchAddress;

    /**
     * 商户电话
     */
    @ExcelProperty(value = "商家固话", index = 3)
    private String merchPhone;
    /**
     * 雇员数
     */
    @ExcelProperty(value = "员工数", index = 4)
    private Integer staffNum;

    /**
     * 注册资金
     */
    @ExcelProperty(value = "注册资金", index = 5)
    private Long registerMoney;

    /**
     * 联系人
     */
    @ExcelProperty(value = "商家法人名称", index = 6)
    private String linkPerson;
    /**
     * 联系电话
     */
    @ExcelProperty(value = "法人电话", index = 7)
    private String linkPhone;

    /**
     * 联系邮箱
     */
    @ExcelProperty(value = "法人邮箱", index = 8)
    private String linkEmail;

    /**
     * 成立时间
     */
    @ExcelProperty(value = "成立时间", index = 9)
    private Long establishTime;
    /**
     * 经营状态 0正常 1删除
     */
    @ExcelIgnore
    private byte manageStatus;

    @ExcelProperty(value = "经营状态", index = 10)
    private String managerStatus;
    /**
     * 经营状态描述 比如：关闭原因
     */
    @ExcelProperty(value = "状态描述", index = 11)
    private String statusDescribe;

    /**
     * 招行商家appid
     */
    @ExcelProperty(value = "招行分配商家好", index = 12)
    private String cmbAppid;

    /**
     * 创建时间
     */
    @ExcelIgnore
    private Long createTime;

    @ExcelProperty(value = "创建时间", index = 13)
    private String cDate;
    /**
     * 商户描述备注
     */
    @ExcelProperty(value = "备注", index = 14)
    private String described;

    public MerchantExcelVO(Merchant merchant){
        BeanUtil.copyProperties(merchant, this);
        if(this.getManageStatus() == 0){
            this.managerStatus = "营业中";
        }else{
            this.managerStatus = "已关闭";
        }
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd hh:mm:ss");
        this.cDate = format.format(new Date(this.createTime));
    }
}
