package cn.wise.sc.pay.domain.merchant.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 收银端广告图参数封装
 */
@ApiModel(value = "收银端广告图参数封装")
@Data
public class BannerImageQuery implements Serializable {
    /**
     * 图片上传路径
     */
    @ApiModelProperty(value = "图片上传路径", dataType = "String")
    @NotBlank
    private String imagePath;
    /**
     * 商户id号
     */
    @ApiModelProperty(value = "商户id号", dataType = "Long")
    @NotNull
    private Long merchantId;

    /**
     * 图片类型  1.图片  3.网页  4.视频
     */
    @ApiModelProperty(value = "图片类型", dataType = "int")
    @NotNull
    private Integer type;
}
