package cn.wise.sc.pay.domain.merchant.vo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @description: 店铺展示
 * @author: qh
 * @create: 2020-06-09 13:47
 **/
@Data
public class StoreVo {

    private Long id;

    /**
     * 奥索商户账号
     */
    private String merchAppid;
    /**
     * 奥索商户登录密码
     */
    private String merchSecret;
    /**
     * 商户名称
     */
    private String merchName;
    /**
     * 商户地址
     */
    private String merchAddress;
    /**
     * 商户描述备注
     */
    private String described;
    /**
     * 商户电话
     */
    private String merchPhone;
    /**
     * 雇员数
     */
    private Integer staffNum;

    /**
     * 注册资金
     */
    private Long registerMoney;

    /**
     * 联系人
     */
    private String linkPerson;
    /**
     * 联系电话
     */
    private String linkPhone;

    /**
     * 联系邮箱
     */
    private String linkEmail;

    /**
     * 0自营 1非自营
     */
    private byte attached;
    /**
     * 成立时间
     */
    private Long establishTime;
    /**
     * 经营状态 0正常 1删除
     */
    private byte manageStatus;

    /**
     * 经营状态描述 比如：关闭原因
     */
    private String statusDescribe;

    /**
     * 删除状态 0正常 1删除
     */
    private byte delStatus;
    /**
     * 商户利润占比
     */
    private Integer merchRate;
    /**
     * 奥索利润占比
     */
    private Integer aosRate;

    /**
     * 招行商家appid
     */
    private String cmbAppid;
    /**
     * 招行商家secret
     */
    private String cmbSecret;

    /**
     * 备用字段1
     */
    private String back;

    /**
     * 备用字段2
     */
    private String reBack;

    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 更新时间
     */
    private Long updateTime;

    /**
     * 白名单状态，1表示白名单，0表示非白名单
     */
    private Integer whiteList;

    /**
     * 星级
     */
    private Double star;

    /**
     * 平均消费额度
     */
    private BigDecimal avgExpenditure;

    /**
     * 封面地址
     */
    private String img;

    /**
     * 标签 (卖的是什么)  用/隔开 怎么存怎么取
     */
    private String label;

    /**
     * 距离
     */
    private String distance;

    /**
     * 类型 (排行榜这些) 怎么存怎么取
     */
    private String type;

    /**
     * 营业时间
     */
    private String openTime;

    /**
     * 详情展示的封面图片  多张 用/隔开
     */
    private String detailImgs;

}
