package cn.wise.sc.pay.api.order.service;

import cn.wise.sc.pay.api.order.service.impl.BillsServiceImpl;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageWrapperQuery;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * @description: 账单服务
 * @author: qh
 * @create: 2019-12-25 20:03
 **/
@FeignClient(value = "saas-v1-order", path = "/bills", fallback = BillsServiceImpl.class)
public interface IBillsService {
    /**
     * 根据条件查询 账单集合
     *
     * @param queryWrapper
     * @return
     */
    @PostMapping("/list")
    BaseResponse getBills(PageWrapperQuery queryWrapper);

    /**
     * 更具条件获取 分页
     *
     * @param queryWrapper
     * @return
     */
    @PostMapping("/page")
    BaseResponse getBillsPage(PageWrapperQuery queryWrapper);


//    BaseResponse readExcelAndInsert(MultipartFile file);
}
