package cn.wise.sc.pay.api.order.service;

import cn.wise.sc.pay.api.order.service.impl.IOrdersAutoSettingSerImpl;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.order.model.OrdersAutoSetting;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @description: 订单自动设置服务
 * @author: qh
 * @create: 2020-03-31 16:21
 **/
@FeignClient(value = "saas-v1-order", path = "/ordersAutoSetting", fallback = IOrdersAutoSettingSerImpl.class)
public interface IOrdersAutoSettingService {

    /**
     * 获取订单自动配类
     *
     * @return OrdersAutoSetting
     */
    @GetMapping
    BaseResponse<OrdersAutoSetting> getOrderSetting();

    /**
     * 修改订单自动配置
     *
     * @param ordersAutoSetting 订单自动配置类
     * @return OrdersAutoSetting
     */
    @PutMapping
    BaseResponse<OrdersAutoSetting> edit(@RequestBody OrdersAutoSetting ordersAutoSetting);
}
