package cn.wise.sc.pay.api.order.service.impl;

import cn.wise.sc.pay.api.order.service.IOrderCallExService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.order.model.OrderCallException;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @description: 订单调用招行接口  异常处理服务 熔断器
 * @author: qh
 * @create: 2020-01-13 17:56
 **/
@Component
public class OrderCallExServiceImpl implements IOrderCallExService {

    @Override
    public BaseResponse createExceptionInfo(String orderNo) {
        error();
        return null;
    }

    @Override
    public BaseResponse createExceptionInfoBatch(List<OrderCallException> orderCallExceptions) {
        return BaseResponse.hystrixError("qh");
    }


    @Override
    public BaseResponse getList(Integer exceptionStatus) {
        error();
        return null;
    }

    @Override
    public BaseResponse editBatchById(List<OrderCallException> list) {
        error();
        return null;
    }

    public void error() {
        throw new RuntimeException("订单服务异常");
    }
}
