package cn.wise.sc.pay.business.order.controller;

import cn.wise.sc.pay.business.order.service.IBillsService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageWrapperQuery;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 * 账单实体 前端控制器
 * </p>
 *
 * @author qh
 * @since 2019-12-24
 */
@CrossOrigin
@RestController
@RequestMapping("/bills")
@Api(description = "招行对账单")
public class BillsController {
    final
    IBillsService iBillsService;

    public BillsController(IBillsService iBillsService) {
        this.iBillsService = iBillsService;
    }

    @PostMapping("/excel")
    public BaseResponse upload(MultipartFile file) {
        return iBillsService.readExcelAndInsert(file);
    }


    public BaseResponse upload(String url) {
        return iBillsService.readExcelAndInsert(url);
    }

    /**
     * 获取对账单
     *
     * @return
     */
    @PostMapping("/page")
    public BaseResponse page(@RequestBody PageWrapperQuery pageWrapperQuery) {

        return iBillsService.getBillsPage(pageWrapperQuery);
    }

    @PostMapping("/list")
    public BaseResponse list(@RequestBody PageWrapperQuery pageWrapperQuery) {
        return iBillsService.getBills(pageWrapperQuery);

    }
}

