package cn.wise.sc.pay.business.order.controller;

import cn.wise.sc.pay.business.order.service.IXpenseTrackerService;
import cn.wise.sc.pay.common.core.model.BaseController;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.order.model.XpenseTracker;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.*;
import java.util.List;

/**
 * 消费记录
 */
@RestController
@RequestMapping("/xpenseTracker")
@CrossOrigin
@Api("消费记录")
public class XpenseTrackerController extends BaseController<IXpenseTrackerService,XpenseTracker> {

    private final IXpenseTrackerService xpenseTrackerService;

    public XpenseTrackerController(IXpenseTrackerService xpenseTrackerService) {
        super(xpenseTrackerService);
        this.xpenseTrackerService = xpenseTrackerService;
    }

    @PostMapping("/batch")
    public BaseResponse createBatch(@RequestBody List<XpenseTracker> xpenseTracker){
        return xpenseTrackerService.createBatch(xpenseTracker);
    }
}
