package cn.wise.sc.pay.business.order.model;

import cn.wise.sc.payment.core.model.BaseModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName PayData
 * @Author Administrator
 * @Date 2019/12/11
 * @Version V1.0
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PayQueryData extends BaseModel {

    /**
     * 商户保留域
     */
    private String mchReserved;

    /**
     * 招行生成的订单号
     */
    private String cmbOrderId;

    /**
     * 优惠金额
     */
    private String dscAmt;

    /**
     * 支付方式 ZF：支付宝 WX：微信 YL：银联
     */
    private String payType;

    /**
     * 请求报文中的商户订单号
     */
    private String orderId;

    /**
     * 订单发送时间 格式为yyyyMMddHHmmss
     */
    private String txnTime;

    /**
     * 订单完成日期
     */
    private String endDate;

    /**
     * 订单完成时间
     */
    private String endTime;

    /**
     * 请求报文中的商户号
     */
    private String merId;

    /**
     * 交易币种 默认156（人民币）
     */
    private String currencyCode;

    /**
     * 交易金额
     */
    private String txnAmt;

    /**
     * 交易状态      C - 订单已关闭
     *              D - 交易已撤销
     *              P - 交易在进行
     *              F - 交易失败
     *              S - 交易成功
     *              R - 转入退款
     */
    private String tradeState;

    /**
     * 优惠信息
     */
    private String couponInfo;

    /**
     * 用户标识     支付宝支付：用户在支付宝系统的唯一标识
     *             微信支付：商户上送sub_appid时返回用户在sub_appid下的sub_openid
     */
    private String openId;

}
