package cn.wise.sc.pay.business.order.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageWrapperQuery;
import cn.wise.sc.pay.domain.order.model.Safeguard;
import cn.wise.sc.pay.domain.order.query.SafeguardDetailQuery;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 维权订单  退款订单 服务类
 * </p>
 *
 * @author qh
 * @since 2020-02-10
 */
public interface ISafeguardService extends IService<Safeguard> {

    /**
     * 根据订单号创建 退款单
     *
     * @param safeguardDetailQuery
     * @return
     */
    BaseResponse creat(SafeguardDetailQuery safeguardDetailQuery);

    /**
     * 审核
     *
     * @param refundNo 订单
     * @param status   审核状态
     * @param reason   原因
     * @return
     */
    BaseResponse audit(String refundNo, int status, String reason);


    /**
     * 根据退款订单号获取退款申请
     *
     * @param refundNo 退款订单号
     * @return
     */
    BaseResponse getOneByRefundNo(String refundNo);

    /**
     * 多条件查询 分页
     *
     * @param pageWrapperQuery 分页条件
     * @return
     */
    BaseResponse<Safeguard> page(PageWrapperQuery pageWrapperQuery);

    /**
     * 编辑维权订单
     *
     * @param safeguardDetailQuery 维权订单描述
     * @return Safeguard
     */
    BaseResponse<String> editSafeguard(SafeguardDetailQuery safeguardDetailQuery);

    /**
     * 给退款单关联上物流号
     * @param refundNo 退款订单
     * @param logisticsNo 物流号
     * @return
     */
    BaseResponse<Safeguard> connectLogisticsNo(String refundNo, String logisticsNo);
}
