package cn.wise.sc.pay.domain.order.Do;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;


/**
 * @description: 订单中具体的商品
 * @author: qh
 * @create: 2019-12-04 10:58
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OrderGoodsDO implements Serializable {

    private static final long serialVersionUID = 2867240988400149791L;

    private long id;

    /**
     * 商品名
     */
    private String name;

    /**
     *单价
     */
    private BigDecimal price;

    /**
     * 总价
     */
    private BigDecimal totalPrice;

    /**
     * 数量
     */
    private Integer num;

    /**
     * 一级规格名
     */
    private String spcName;

    /**
     * 二级规格名
     */
    private String spcDetalName;

    /**
     * 二级规格id
     */
    private List<Long> spcDetailId;

    /**
     * 额外属性1
     */
    private String field1;

    /**
     * 额外属性2
     */
    private String field2;
}
