package cn.wise.sc.pay.domain.order.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 账单Excel对象
 * @author: qh
 * @create: 2019-12-24 15:14
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BillsExcel {

    /**
     * 交易日期(年月日)
     */
    @ExcelProperty("交易日期")
    private String transactionDate;

    /**
     * 交易时间(时分秒)
     */
    @ExcelProperty("交易时间")
    private String transactionTime;

    /**
     * 设备号
     */
    @ExcelProperty("设备号")
    private String deviceInfo;

    /**
     * 银行流水号儿
     */
    @ExcelProperty("银行流水号")
    private String serialNumber;

    /**
     * 第三方订单号
     */
    @ExcelProperty("第三方订单号")
    private String orderNo;

    /**
     * 交易类型
     */
    @ExcelProperty("交易类型")
    private String trandeType;

    /**
     * 支付类型
     */
    @ExcelProperty("支付类型")
    private String payType;

    /**
     * 交易金额
     */
    @ExcelProperty("交易金额")
    private String amount;


    /**
     * 门店号
     */
    @ExcelProperty("门店编号")
    private String shipNo;

    /**
     * 收银员
     */
    @ExcelProperty("收银员")
    private String cashierNo;


    /**
     * 商户名称
     */
    @ExcelProperty("商户名称")
    private String shipName;


    /**
     * 交易状态
     */
    @ExcelProperty("交易状态")
    private String tradeStatus;

}
