package cn.wise.sc.pay.domain.order.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @description: 订单信息excel
 * @author: qh
 * @create: 2020-07-03 09:50
 **/
@Data
public class OrderInfoExcel{
    
    /**
     * 订单号
     */
    @ExcelProperty("订单号")
    private String orderNo;

    /**
     * 商品json
     */
    @ExcelProperty("商品信息")
    private String goods;

    /**
     * 订单状态
     */
    @ExcelProperty("订单状态")
    private String orderStatus;

    /**
     * 支付状态
     */
    @ExcelProperty("支付状态")
    private String payStatus;

    /**
     * 用户id
     */
    @ExcelProperty("买家Id")
    private Long userId;

    /**
     * 用户电话
     */
    @ExcelProperty("用户手机号码")
    private String userPhone;

    /**
     * 订单总金额
     */
    @ExcelProperty("订单总金额")
    private BigDecimal totalPrice;

    /**
     * 实际需要支付金额
     */
    @ExcelProperty("支付金额")
    private BigDecimal payPrice;

    /**
     * 支付方式
     */
    @ExcelProperty("支付方式")
    private String paymentMethodName;

    /**
     * 备注
     */
    @ExcelProperty("备注")
    private String remark;

    /**
     * 创建时间
     */
    @ExcelProperty("创建时间")
    private String createTime;

    /**
     * 最后更新时间
     */
    @ExcelProperty("最后更新时间")
    private String updateTime;

    /**
     * 预留字段 收货地址
     */
    @ExcelProperty("收货地址")
    private String receivePlace;

    /**
     * 商家id
     */
    @ExcelProperty("卖家Id")
    private Long sellerId;


    /**
     * 运费
     */
    @ExcelProperty("运费")
    private BigDecimal freight;

    /**
     * 当前订单获取到的积分
     */
    @ExcelProperty("可获取积分")
    private BigDecimal points;
    /**
     * 支付时间
     */
    @ExcelProperty("支付时间")
    private String payTime;



}
