package cn.wise.sc.pay.domain.order.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 商户支付信息入驻
 * @author: qh
 * @create: 2020-09-16 10:32
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("merchant_pay_property")
public class MerchantPayPro {

    @TableId
    private long id;

    /**
     * 商户id,我们平台商户信息表
     */
    private String sellerId;

    /**
     * 商户号 招行分配的,唤起支付唯一标识
     */
    private String merId;

    /**
     * 收银员 招行分配的
     */
    private String cashier;

    /**
     * 招行分配的appId 唯一
     */
    private String cmbAppId;

    /**
     * 招行分配的密钥
     */
    private String secretKey;

    /**
     * 商户私钥 需要去聚合支付平台配置
     */
    private String merchantPrivateKey;

}
