package cn.wise.sc.pay.domain.order.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 招行调用异常对象
 * @author: qh
 * @create: 2020-01-13 15:07
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("order_call_exception")
public class OrderCallException {
    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 订单号，和订单类型一起食用
     */
    private String orderNo;

    /**
     * 退款订单号,和订单类型一起食用,只有类型为退款时有这个字段
     *
     */
    private String refundNo;
    /**
     * 创建时间
     */
    private Long createTime;

    /**
     * 更新时间
     */
    private Long updateTime;

    /**
     * 失败次数  累计
     */
    private Integer failCount;

    /**
     * 异常订单类型
     */
    private String orderStatus;
    /**
     * 处理状态
     */
    private Integer status;
    /**
     * 消息 可能有用
     */
    private String msg;

    @TableField(exist = false)
    private Long sellerId;
}
