package cn.wise.sc.pay.domain.order.model;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;


/**
 * @description: 订单服务返回对象
 * @author: qh
 * @create: 2019-12-16 17:15
 **/
@Data
@NoArgsConstructor
public class OrderResponse extends BaseResponse<Orders> {

    private static final long serialVersionUID=1L;

    private static OrderResponse createBaseResponse() {
        return new OrderResponse();
    }

    public static OrderResponse ok(String msg) {

        OrderResponse baseResponse = createBaseResponse();

        baseResponse.setCode(200);

        baseResponse.setData(null);

        baseResponse.setClassName(Orders.class.getName());

        baseResponse.setMsg(msg);

        return baseResponse;
    }
    public static OrderResponse ok(List<Orders> list) {

        OrderResponse baseResponse = createBaseResponse();

        baseResponse.setCode(200);

        baseResponse.setData(null);

        baseResponse.setClassName(Orders.class.getName());

        baseResponse.setMsg("操作成功");

        baseResponse.setList(list);

        return baseResponse;
    }
    public static OrderResponse ok(Orders data) {

        OrderResponse baseResponse = createBaseResponse();

        baseResponse.setCode(200);

        baseResponse.setData(data);

        baseResponse.setClassName(data.getClass().getName());

        baseResponse.setMsg("操作成功");

        return baseResponse;
    }

    public static OrderResponse ok(String msg, Orders data) {

        OrderResponse baseResponse = createBaseResponse();

        baseResponse.setCode(200);

        baseResponse.setData(data);

        baseResponse.setClassName(data.getClass().getName());

        baseResponse.setMsg(msg);

        return baseResponse;
    }

    public static OrderResponse error(String msg) {

        OrderResponse baseResponse = createBaseResponse();

        baseResponse.setCode(400);

        baseResponse.setData(null);

        baseResponse.setClassName(Orders.class.getName());

        baseResponse.setMsg(msg);

        return baseResponse;
    }
}
