package cn.wise.sc.pay.domain.order.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 订单自动配置类
 * </p>
 *
 * @author qh
 * @since 2020-03-31
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class OrdersAutoSetting extends Model<OrdersAutoSetting> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 订单自动取消时间(天)
     */
    private Integer autoCancelOrderTime;

    /**
     * 订单自动收货时间(天)
     */
    private Integer autoReceiveOrderTime;

    /**
     * 订单自动完成时间(天)
     */
    private Integer autoCompleteOrderTime;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
