package cn.wise.sc.payment.cmb.model;

import cn.wise.sc.payment.core.model.BaseModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName OrderToQrCode
 * @Description : 获取收款码实体
 * @Author Administrator
 * @Date 2019/12/9
 * @Version V1.0
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class OrderToQrCode extends BaseModel {

    /**
     * 商户号
     */
    private String merId;

    /**
     * 订单id 要求在整个商户下唯一
     */
    private String orderId;
    /**
     * 收银员
     */
    private String userId;
    /**
     * 终端号
     */
    private String termId;
    /**
     * 支付有效时长 默认值900秒
     */
    private String payValidTime;
    /**
     * 交易通知地址
     */
    private String notifyUrl;
    /**
     * 交易金额 单位分
     */
    private String txnAmt;
    /**
     * 交易币种 目前只支持人民币
     */
    private String currencyCode;
    /**
     * 商户保留域
     */
    private String mchReserved;
    /**
     * 商品描述
     */
    private String body;

}
