package cn.wise.sc.payment.cmb.model;

import cn.wise.sc.payment.core.model.BaseModel;
import com.alibaba.fastjson.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName PayData
 * @Author Administrator
 * @Date 2019/12/11
 * @Version V1.0
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PayData extends BaseModel {
    /**
     * 商户注册具有支付权限的公众号appId
     */
    private String appId;
    /**
     * linux 格式时间戳
     */
    private String timeStamp;
    /**
     * 随机字符串
     */
    private String nonceStr;
    /**
     * 统一下单接口返回的prepay_id参数值
     */
    @JSONField(name = "package")
    private String prepay;
    /**
     * 固定位RSA
     */
    private String signType;
    /**
     * 服务商秘钥加签的签名
     */
    private String paySign;
}
