package cn.wise.sc.pay.api.points.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.point.query.SignInTimesQuery;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @description: 签到服务api
 * @author: qh
 * @create: 2020-03-12 14:16
 **/
@FeignClient(value = "saas-v1-points", path = "/signInTime", fallback = SignInTimesImpl.class)
public interface ISignInTimesService {

    /**
     * 新增或者编辑签到信息
     *
     * @param signInTime 签到信息
     * @return
     */
    @PutMapping
    BaseResponse sign(@RequestBody SignInTimesQuery signInTime);

    /**
     * 根据用户id查询会员签到信息
     *
     * @param userId 用户id
     * @return
     */
    @GetMapping("/{userId}")
    BaseResponse getByUserId(@PathVariable("userId") Long userId);
}
