package cn.wise.sc.pay.business.points.controller;

import cn.wise.sc.pay.business.points.service.IPointMemberShipService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

/**
 * 会员积分  接口
 */
@Api(value = "会员积分接口")
@RestController
@CrossOrigin
@RequestMapping("/memberShip/point")
public class PointMemberShipController {

    @Autowired
    private IPointMemberShipService memberShipService;

//    @PostMapping
//    @ApiOperation(value = "新增会员积分记录")
//    @ApiImplicitParam(name = "pointMemberShipQuery", value = "会员积分对象", dataType = "PointMemberShipQuery", paramType = "body")
//    public ResponseEntity add(@RequestBody PointMemberShipQuery pointMemberShipQuery) {
//
//        ResponseEntity responseEntity = memberShipService.addPoint(pointMemberShipQuery);
//
//        return responseEntity;
//    }

    @GetMapping(path = "/{memberId}")
    @ApiOperation(value = "根据会员关系id查询积分列表")
    @ApiImplicitParam(name = "memberId", value = "会员关系id", dataType = "long", paramType = "path")
    public ResponseEntity selectByMemberId(@PathVariable Long memberId) {

        ResponseEntity responseEntity = memberShipService.selectByMemberId(memberId);
        return responseEntity;
    }

    @GetMapping(value = "/page")
    @ApiOperation(value = "分页查询积分记录")
    @ApiImplicitParams(
            {
                    @ApiImplicitParam(name = "pageNo", value = "当前页码", dataType = "int", paramType = "query"),
                    @ApiImplicitParam(name = "pageSize", value = "每页显示数量", dataType = "int", paramType = "query")
            }

    )
    public ResponseEntity selectPage(@RequestParam Integer pageNo, @RequestParam Integer pageSize) {

        ResponseEntity responseEntity = memberShipService.selectPage(pageNo, pageSize);

        return responseEntity;
    }


}
