package cn.wise.sc.pay.business.points.controller;


import cn.wise.sc.pay.business.points.service.ISignInTimeService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.point.bean.SignInTime;
import cn.wise.sc.pay.domain.point.query.SignInTimesQuery;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiImplicitParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author qh
 * @since 2020-03-12
 */
@CrossOrigin
@RestController
@RequestMapping("/signInTime")
public class SignInTimeController {

    final
    ISignInTimeService iSignInTimeService;

    public SignInTimeController(ISignInTimeService iSignInTimeService) {
        this.iSignInTimeService = iSignInTimeService;
    }

    @PutMapping
    public BaseResponse sign(@RequestBody SignInTimesQuery signInTime) {

        return iSignInTimeService.updateOrAdd(signInTime);
    }

    @GetMapping("/{userId}")
    public BaseResponse sign(@PathVariable("userId") Long userId) {
        if (userId == null || userId == 0) {
            return BaseResponse.error("用户不能为空!", new SignInTime());
        }

        QueryWrapper qw = new QueryWrapper();
        qw.eq("user_id", userId);
        SignInTime signInTime;
        int count = iSignInTimeService.count(qw);
        signInTime = iSignInTimeService.getOne(qw);
        if (count > 0) {
            return BaseResponse.ok(signInTime);
        } else {
            return BaseResponse.ok("没找到", new SignInTime());
        }
    }
}

