package cn.wise.sc.pay.business.points.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.domain.point.bean.CouponType;
import cn.wise.sc.pay.domain.point.query.CouponTypeQuery;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 优惠券类型实体表业务接口层
 * @author jiawei
 */
public interface ICouponTypeService extends IService<CouponType> {
    /**
     * 添加一条优惠券记录
     *
     * @param couponTypeQuery 参数对象
     * @return
     */
    BaseResponse add(CouponTypeQuery couponTypeQuery);

    /**
     * 根据类型名称条件分页
     *
     * @param name
     * @param pageQuery
     * @return
     */
    BaseResponse pageOnCondition(String name, PageQuery pageQuery);

    /**
     * 根据id禁用  或者根据id批量禁用
     *
     * @param ids
     * @return
     */
    BaseResponse disable(List<Integer> ids);

    /**
     * 根据id启用  或者根据id批量启用
     *
     * @param ids
     * @return
     */
    BaseResponse enable(List<Integer> ids);

    /**
     * 修改数据信息，传入数据时请传入id值
     *
     * @param couponTypeQuery
     * @return
     */
    BaseResponse edit(CouponTypeQuery couponTypeQuery);

    /**
     * 根据id值删除记录
     *
     * @param id
     * @return
     */
    BaseResponse discard(Integer id);

    /**
     * 根据id值查询记录
     *
     * @param id
     * @return
     */
    BaseResponse infoById(Long id);

    /**
     * 列表显示可用优惠券类型
     *
     * @return
     */
    BaseResponse listAvailable();
}
