package cn.wise.sc.pay.business.points.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.domain.point.bean.MemberInterests;
import cn.wise.sc.pay.domain.point.bean.MemberInterestsQuery;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @description: 会员权益业务
 * @author: qh
 * @create: 2020-01-06 16:36
 **/

public interface IMemberInterestsService extends IService<MemberInterests> {

    /**
     * 新增一个会员权益
     * @param memberInterestsQuery  权益请求对象
     * @return
     */
    BaseResponse addNewInterests(MemberInterestsQuery memberInterestsQuery);

    /**
     * 根据id删除一个会员权益
     * @param id  会员id
     * @return
     */
    BaseResponse delInterests(Long id);

    /**
     * 根据id编辑一个会员权益
     * @param memberInterestsQuery  会员权益请求对象
     * @return
     */
    BaseResponse editInterests(MemberInterestsQuery memberInterestsQuery);

    /**
     * 根据会员等级id  获取所有权益
     * @param membershipId  会员等级id
     * @return
     */
    BaseResponse getInterests(Long membershipId);

    /**
     * 获取所有权限集合
     * @return
     */
    BaseResponse getPage(PageQuery pageQuery);
}
