package cn.wise.sc.pay.business.points.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageWrapperQuery;
import cn.wise.sc.pay.domain.point.bean.Membership;
import cn.wise.sc.pay.domain.point.query.MemberQuery;
import cn.wise.sc.pay.domain.point.vo.MembershipVO;
import cn.wise.sc.pay.domain.point.vo.UserExtraVOApp;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author qh
 * @since 2019-11-11
 */

public interface IMembershipService extends IService<Membership> {

    /**
     * @return
     */
    BaseResponse<Page<MembershipVO>> list(PageWrapperQuery pageWrapperQuery);

    /**
     * 根据id获取会员等级
     *
     * @param id
     * @return
     */
    BaseResponse getMembexrship(int id);

    /**
     * 启用禁用
     *
     * @param id
     * @param status
     * @return
     */
    BaseResponse forbiddenOrActive(int id, int status);

    /**
     * 编辑
     *
     * @param memberQuery
     * @return
     */
    BaseResponse editMembership(MemberQuery memberQuery);

    /**
     * 根据id删除
     *
     * @param id
     * @return
     */
    BaseResponse deleteMembership(int id);

    /**
     * 新增
     *
     * @param membershipVo
     * @return
     */
    BaseResponse newMembership(MembershipVO membershipVo);


    /**
     * 根据用户id获取队员等级
     *
     * @param userId 用户id
     * @return
     */
    BaseResponse<Membership> getShipByUserId(long userId);

    /**
     * 获取下一级等级会员等级
     *
     * @param memberId 当前会员等级
     * @return
     */
    Membership getNextMemberShipByMemberId(Long memberId);


    BaseResponse<List<Membership>> getListByIds(List<Long> ids);

    /**
     *  根据会员等级id查询会员等级详细信息
     * @param memberId
     * @return
     */
    BaseResponse<UserExtraVOApp> getMemberInfo(Long memberId);

    /**
     * 获取最初级的会员等级对象
     * @return
     */
    BaseResponse<Membership> getPrimaryMemberShip();
}
