package cn.wise.sc.pay.business.points.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.point.bean.PointSourceV1;
import cn.wise.sc.pay.domain.point.query.PointSourceV1Query;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 积分来源设置接口层
 */
public interface IPointSourceV1Service extends IService<PointSourceV1> {
    /**
     * 新增一条积分来源记录
     *
     * @param pointSourceV1Query
     * @return
     */
    BaseResponse save(PointSourceV1Query pointSourceV1Query);
    /**
     * 根据id批量禁用
     *
     * @param ids
     * @return
     */
    BaseResponse changeStatus(List<Integer> ids);

    BaseResponse changeStatusByWay(List<Integer> ways);

    BaseResponse enableStatusByWays(List<Integer> ways);

    /**
     * @param pointSourceV1Query
     * @return
     */
    BaseResponse updateDataById(PointSourceV1Query pointSourceV1Query);

    /**
     * 根据途径修改数据
     *
     * @param pointSourceV1Query
     * @return
     */
    BaseResponse updateDataByWay(PointSourceV1Query pointSourceV1Query);

    /**
     * 查询list数据 或者 条件查询
     *
     * @param way
     * @return
     */
    BaseResponse listOnCondition(String way);

    /**
     * 根据途径获取积分
     * @param memberId 用户id
     * @param pathway 路径
     * @return
     */
    Double getScore(Long memberId, String pathway);
}
