package cn.wise.sc.pay.business.points.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.domain.point.bean.VirtualGoods;
import cn.wise.sc.pay.domain.point.query.VirtualGoodQuery;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * 虚拟商品业务接口层
 */
public interface IVirtualGoodsService extends IService<VirtualGoods> {
    /**
     * 添加一条虚拟商品记录
     *
     * @param virtualGoodQuery
     * @return
     */
    BaseResponse add(@RequestBody VirtualGoodQuery virtualGoodQuery);

    /**
     * 根据券名称与券类型id条件分页
     *
     * @param name
     * @param pageQuery
     * @param typeName
     * @return
     */
    BaseResponse pageOnCondition(String name, PageQuery pageQuery, String typeName);

    /**
     * 根据id删除 或者批量删除
     *
     * @param ids
     * @return
     */
    BaseResponse discard(List<Long> ids);

    /**
     * 修改数据信息，传入数据时请传入id值
     *
     * @param virtualGoodQuery
     * @return
     */
    BaseResponse edit(VirtualGoodQuery virtualGoodQuery);
}
