//package cn.wise.sc.pay.business.points.service.impl;
//
//import cn.wise.sc.pay.business.points.mapper.PointConversionRuleMapper;
//import cn.wise.sc.pay.business.points.mapper.PointTypeMapper;
//import cn.wise.sc.pay.business.points.service.IPointTypeService;
//import cn.wise.sc.pay.common.core.query.PageQuery;
//import cn.wise.sc.pay.domain.member.bean.Membership;
//import cn.wise.sc.pay.domain.point.bean.PointConversionRule;
//import cn.wise.sc.pay.domain.point.bean.PointMemberShip;
//import cn.wise.sc.pay.domain.point.bean.PointType;
//import cn.wise.sc.pay.domain.point.query.MembershipPointQuery;
//import cn.wise.sc.pay.domain.point.query.PointConversionQuery;
//import cn.wise.sc.pay.domain.point.query.PointTypeQuery;
//import cn.wise.sc.pay.domain.point.vo.PointTypeVO;
//import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
//import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
//import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
//import com.google.common.collect.Lists;
//import org.apache.commons.lang3.StringUtils;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.http.HttpStatus;
//import org.springframework.http.ResponseEntity;
//import org.springframework.stereotype.Service;
//
//import java.util.List;
//import java.util.stream.Collectors;
//
///**
// * <p>
// * 服务实现类
// * </p>
// *
// * @author qh
// * @since 2019-11-13
// */
//
//@Service
//public class PointTypeServiceImpl extends ServiceImpl<PointTypeMapper, PointType> implements IPointTypeService {
//
//    @Autowired
//    PointTypeMapper pointTypeMapper;
//
//    @Autowired
//    PointConversionRuleMapper PCRMapper;
//
//    @Override
//    public ResponseEntity<Page<PointTypeVO>> list(PageQuery pageQuery, String key, List<Membership> memberships) {
//
//        QueryWrapper ew = new QueryWrapper();
//        ew.orderByDesc("create_time");
//        Page page = new Page(pageQuery.getPageNo(), pageQuery.getPageSize());
//
//        if (StringUtils.isNotEmpty(key)) {
//            ew.eq("pathway", key);
//            ew.eq("del_flag", "0");
//        }
//        page = (Page) this.page(page, ew);
//
//        List<PointType> pointTypes = page.getRecords();
//        //获取基于会员配置
//        List<Long> memberPointIds = pointTypes.stream().filter(arg -> arg.getType() == 1).map(arg -> arg.getId()).collect(Collectors.toList());
//        List<PointMemberShip> pointMemberShips = pointTypeMapper.selectMemberPoints(memberPointIds);
//
//        List<PointTypeVO> pointTypeVOS = Lists.newArrayListWithCapacity(pointTypes.size());
//
//        try {
//            for (PointType pointType : pointTypes) {
//
//                PointTypeVO pointTypeVO = new PointTypeVO(pointType);
//                //获取当前pointType所有的PointMemberShip
//                List<PointMemberShip> thisPointMemberShips = pointMemberShips
//                        .stream()
//                        .filter(arg -> arg.getPointId().longValue() == pointType.getId())
//                        .collect(Collectors.toList());
//                //循环添加每一级的积分数
//                for (PointMemberShip pointMemberShip : thisPointMemberShips) {
//                    //匹配会员名
//                    Membership membership = memberships
//                            .stream()
//                            .filter(arg -> arg.getId().longValue() == pointMemberShip.getMembershipId())
//                            .findFirst()
//                            .orElse(null);
//                    if (membership == null) {
//                        continue;
//                    }
//                    pointTypeVO.changeScore(membership.getName(), pointMemberShip.getScore());
//                }
//
//                pointTypeVOS.add(pointTypeVO);
//            }
//        } catch (Exception ex) {
//            return ResponseEntity.status(HttpStatus.INTERNAL_SERVER_ERROR).body(null);
//        }
//
//        page.setRecords(pointTypeVOS);
//
//        return ResponseEntity.ok(page);
//    }
//
//    @Override
//    public boolean insertPointConversion(PointConversionQuery PCQuery) {
//
//        PointConversionRule pointConversionRule = PCRMapper.selectList(null).get(0);
//
//        PointConversionRule updatePCR = PointConversionRule.builder()
//                .status(1)
//                .minPay(PCQuery.getMustMinPay())
//                .maxConversion(PCQuery.getMaxConversion())
//                .conversionRule(PCQuery.getConversionRule())
//                .build();
//        try {
//            if (pointConversionRule != null) {
//
//                updatePCR.setId(pointConversionRule.getId());
//                PCRMapper.updateById(pointConversionRule);
//            } else {
//                PCRMapper.insert(updatePCR);
//            }
//        } catch (Exception ex) {
//            return false;
//        }
//
//        return true;
//    }
//
//    @Override
//    public ResponseEntity newPointType(PointTypeQuery pointTypeQuery) {
//
//        PointType pointType = new PointType();
//        pointType.setStatus(pointTypeQuery.getStatus());
//        pointType.setPathway(pointTypeQuery.getPayWay());
//        pointType.setSorce(pointTypeQuery.getScore());
//        pointType.setType(pointTypeQuery.getType());
//
//        if (pointTypeQuery.getStatus() == 1) {
//            pointType.setSorce(0d);
//        }
//        //先拿到id
//        this.save(pointType);
//        try {
//
//            List<PointMemberShip> insertPMSList = Lists.newArrayListWithCapacity(pointTypeQuery.getList().size());
//
//            for (MembershipPointQuery MPQuery : pointTypeQuery.getList()) {
//
//                insertPMSList.add(
//                        PointMemberShip
//                                .builder()
//                                .score(MPQuery.getScore())
//                                .pointId(MPQuery.getPointId())
//                                .pointId(pointType.getId())
//                                .build());
//
//            }
//
//            pointTypeMapper.insertBatchMemberPoint(insertPMSList);
//        } catch (Exception ex) {
//            return ResponseEntity.status(HttpStatus.INTERNAL_SERVER_ERROR).body("添加失败!");
//        }
//        return ResponseEntity.ok("添加成功!");
//    }
//
//    @Override
//    public ResponseEntity select(Long memberId, String pathway) {
//        QueryWrapper<PointType> queryWrapper = new QueryWrapper<>();
//        QueryWrapper<PointType> eq = queryWrapper.eq("membership_id", memberId)
//                .eq("pathway", pathway);
//        PointType pointType = this.getOne(eq);
//        return pointType==null?ResponseEntity.badRequest().body("获取信息失败"):ResponseEntity.ok(pointType);
//    }
//}
