package cn.wise.sc.pay.domain.point.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 优惠券实体表
 */
@TableName(value = "coupons")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Coupons extends Model<Coupons> {

    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 优惠券名称
     */
    private String name;
    /**
     * 优惠券类型id
     */
    private Integer typeId;
    /**
     * 优惠券面额
     */
    private Double cost;
    /**
     * 使用阈值
     */
    private Double ableValue;
    /**
     * 状态，0未使用，1，已使用
     */
    private Integer status;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 修改时间
     */
    private Long updateTime;
    /**
     * 逻辑删除标记
     */
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
