package cn.wise.sc.pay.domain.point.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 积分商城  实物商品实体表
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "gift_goods")
public class GiftGoods extends Model<GiftGoods> {

    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 商品名称
     */
    private String name;
    /**
     * 商品图片地址
     */
    private String image;
    /**
     * 商品数量
     */
    private Integer amount;
    /**
     * 每人限领数量
     */
    private Integer personMax;
    /**
     * 换取模式
     */
    private Integer model;

//    /**
//     * 抽奖所需积分
//     */
//    private Integer drawPoint;
//    /**
//     * 换取所需积分
//     */
//    private Integer exchangePoint;

    /**
     * 换取所需积分
     */
    private Integer point;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 修改时间
     */
    private Long updateTime;
    /**
     * 参与人数数量
     */
    private Integer personNum;

    /**
     * 商品剩余数量
     */
    private Integer remainNum;

    /**
     * 逻辑删除标记
     */
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
