package cn.wise.sc.pay.domain.point.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * @description: 会员权益请求类
 * @author: qh
 * @create: 2020-01-06 16:43
 **/
@Data
@NoArgsConstructor
@Builder
@AllArgsConstructor
@ApiModel
public class MemberInterestsQuery {

    /**
     * id
     */
    private long id;
    /**
     * 图片路径
     */
    @ApiModelProperty("图片路径")
    @NotNull
    private String cover;
    /**
     * 名字
     */
    @NotNull
    @ApiModelProperty("名字")
    private String name;
    /**
     * 描述详情
     */
    @ApiModelProperty("描述详情")
    private String details;

    /**
     * 会员等级集合
     */
    @ApiModelProperty("会员等级集合,数组形式")
    private long[] membership;
}
