package cn.wise.sc.pay.domain.point.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description: 基于会员等级配置积分
 * @author: qh
 * @create: 2019-11-13 16:09
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "point_membership")
public class PointMemberShip extends Model<PointMemberShip> {

    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 积分类型id号
     */
    @TableField(value = "point_type_id")
    private Long pointTypeId;
    /**
     * 会员关系id
     */
    @TableField(value = "membership_id")
    private Long membershipId;
    /**
     * 积分点数
     */
    @TableField(value = "score")
    private Double score;

    /**
     * 积分创建时间
     */
    @TableField(value = "create_time")
    private Long createTime;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
