package cn.wise.sc.pay.domain.point.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel
public class DeliveryInfoQuery {
    /**
     *主键id
     */
    @ApiModelProperty(value = "主键id")
    @NotNull(message = "id不能为空")
    private Long id;
    /**
     * 物流公司
     */
    @ApiModelProperty(value = "物流公司")
    @NotBlank(message = "物流公司不能为空")
    private String company;
    /**
     * 物流编号
     */
    @ApiModelProperty(value = "物流编号")
    @NotBlank(message = "物流编号不能为空")
    private String deliveryNo;
}
