package cn.wise.sc.pay.domain.point.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel
public class GoodExchangeQuery implements Serializable {
    /**
     * 兑换商品的id主键
     */
    @ApiModelProperty(value = "兑换商品的id主键")
    @NotNull(message = "兑换商品的id主键不能为空")
    private Long id;
    /**
     * 商品的类别标记 0 是实物商品，1是虚拟商品
     */
    @ApiModelProperty(value = "商品的类别标记 0 是实物商品，1是虚拟商品")
    @NotNull(message = "商品的类别标记不能为空")
    private Integer flag;
    /**
     * 商品所属模式，0 积分抽奖， 1是商品兑换
     */
    @ApiModelProperty(value = "商品所属模式，0 积分抽奖， 1是商品兑换")
    @NotNull(message = "商品所属模式不能为空")
    private Integer model;
//    /**
//     * 兑换人地址
//     */
//    @ApiModelProperty(value = "兑换人地址")
//    @NotNull(message = "兑换人地址不能为空")
//    private String address;
    /**
     * 兑换用户的id
     */
    @ApiModelProperty(value = "兑换用户的id")
    @NotNull(message = "兑换用户的id不能为空")
    private Long userId;
    /**
     * 兑换用户的名字
     */
    @ApiModelProperty(value = "兑换用户的名字")
    @NotNull(message = "兑换用户的名字不能为空")
    private String userName;
    /**
     * 收货人电话
     */
    @ApiModelProperty(value = "收货人电话")
    private String personPhone;

}
