package cn.wise.sc.pay.domain.point.query;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description: 会员等级请求类
 * @author: qh
 * @create: 2019-11-11 14:37
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MemberQuery implements Serializable {

    private static final long serialVersionUID = 2983975366057609591L;

    private long id;
    /**
     * 会员名
     */
    private String name;
    /**
     * 经验下限
     */
    private Double experience;

    /**
     * 经验上限
     */
    private Double upExperience;
    /**
     * 折扣
     */
    private Double discount;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 是否已删除 1:是 0:否
     */
    private Integer delFlag;
    /**
     * 背景图片地址
     */
    private String backPhoto;

}
