package cn.wise.sc.pay.domain.point.query;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor

public class PointSourceQuery implements Serializable {

    private Long id;

    /**
     * 途径
     */
    private String pathWay;

    /**
     * 描述
     */
    private String description;

    /**
     * 设置类型  0 统一设置，1会员等级设置
     */
    private Integer setType;

    /**
     * 统一设置积分值
     */
    private Double score;

    /**
     * 会员和对应积分
     */
    private List<MemberPointsQuery> memberPointsQueries;

    /**
     * 赠送还是消费  0 赠送，1消费
     */
    private Integer typeFlag;



}
