package cn.wise.sc.pay.domain.point.query;

import cn.hutool.core.bean.BeanUtil;
import cn.wise.sc.pay.domain.point.bean.VirtualGoods;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel
public class VirtualGoodQuery implements Serializable {
    /**
     *
     */
    @ApiModelProperty(value = "主键id")

    private Long id;
    /**
     * 优惠券id
     */
    @ApiModelProperty(value = "优惠券id")
    @NotNull(message = "优惠券id不能为空")
    private Integer couponId;
    /**
     * 发行数量
     */
    @ApiModelProperty(value = "发行数量")
    @NotNull(message = "发行数量不能为空")
    private Integer issueNum;
    /**
     * 每人限额
     */
    @ApiModelProperty(value = "每人限额")
    @NotNull(message = "每人限额不能为空")
    private Integer personMax;
    /**
     * 换取模式，0抽奖，1 换取
     */
    @ApiModelProperty(value = "换取模式，0抽奖，1 换取")
    @NotNull(message = "换取模式不能为空")
    private Integer model;
//    /**
//     * 抽奖所需积分
//     */
//    @ApiModelProperty(value = "抽奖所需积分")
//    @NotNull(message = "抽奖所需积分不能为空")
//    private Integer drawPoint;
//    /**
//     * 换取所需积分
//     */
//    @ApiModelProperty(value = "换取所需积分")
//    @NotNull(message = "换取所需积分不能为空")
//    private Integer exchangePoint;
    /**
     * 换取所需积分
     */
    @ApiModelProperty(value = "换取所需积分")
    @NotNull(message = "换取所需积分不能为空")
    private Integer point;
    /**
     * 商家模式，0 全场商家，1 指定商家
     */
    @ApiModelProperty(value = "商家模式，0 全场商家，1 指定商家")
    @NotNull(message = "商家模式不能为空")
    private Integer merchantModel;
    /**
     * 有效期
     */
    @ApiModelProperty(value = "有效期")
    @NotNull(message = "有效期不能为空")
    private Long validityTime;
    /**
     * 指定商家模式的商家id
     */
    @ApiModelProperty(value = "指定商家模式的商家id号")
    private Long merchantId;
    /**
     * 有效期结束时间
     */
    @ApiModelProperty(value = "有效期结束时间")
    @NotNull(message = "有效期结束时间不能为空")
    private Long endValidityTime;

    public static VirtualGoods query2Entity(VirtualGoodQuery virtualGoodQuery) {
        VirtualGoods virtualGoods = new VirtualGoods();
        BeanUtil.copyProperties(virtualGoodQuery, virtualGoods);
        return virtualGoods;
    }
//    /**
//     * 创建时间
//     */
//    @ApiModelProperty(value = "")
//    private Long createTime;
//    /**
//     * 修改时间
//     */
//    @ApiModelProperty(value = "")
//    private Long updateTime;
//    /**
//     * 状态，0是启用，1是禁用
//     */
//    @ApiModelProperty(value = "")
//    private Integer status;
}
