package cn.wise.sc.pay.domain.point.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 积分兑换商品分页值对象
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ExchangeVo implements Serializable {
    /**
     * 商品主键id  虚拟商品或者实物商品
     */
    private Long id;
    /**
     * 优惠券id
     */
    private Long couponId;
    /**
     * 优惠券名字或者商品名字
     */
    private String name;
    /**
     * 优惠券图片或者商品图片
     */
    private String image;
    /**
     * 没人兑换最大值
     */
    private Integer personMax;
    /**
     * 兑换模式，抽奖与
     */
    private Integer model;

    /**
     * 参与人数
     */
    private Integer personNum;
    /**
     * 商品剩余数量
     */
    private Integer remainNum;
    /**
     * 商品标记，0 实物商品，1 虚拟商品
     */
    private Integer flag;
    /**
     * 积分值
     */
    private Integer point;
}
