package cn.wise.sc.pay.domain.point.vo;

import cn.wise.sc.pay.common.core.util.DateTimeUtils;
import cn.wise.sc.pay.domain.point.bean.PointDetail;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description: 积分明细Vo
 * @author: qh
 * @create: 2019-11-13 15:01
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PointDetailVO implements Serializable {

    private static final long serialVersionUID = 3670491981914142442L;
    private String score;

    private String pathWay;

    private String createTime;

    public PointDetailVO(PointDetail pointDetail) {

        this.pathWay = pointDetail.getPathway();
        this.createTime = DateTimeUtils.long2String(pointDetail.getCreateTime());
        if (pointDetail.getInOut() == 1) {
            this.score = "+" + pointDetail.getScore();
        } else {
            this.score = "-" + pointDetail.getScore();
        }
    }

}
