package cn.wise.sc.pay.domain.point.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel
public class VirtualGoodVo implements Serializable {

  private Long id;
  /** 优惠券id */
  @ApiModelProperty(value = "优惠券id")
  private Integer couponId;
  /** 发行数量 */
  @ApiModelProperty(value = "发行数量")
  private Integer issueNum;
  /** 每人限额 */
  @ApiModelProperty(value = "每人限额")
  private Integer personMax;
  /** 换取模式，0抽奖，1 换取 */
  @ApiModelProperty(value = "换取模式，0抽奖，1 换取")
  private Integer model;

  @ApiModelProperty(value = "参与人数")
  private Integer personNum;
  //    /**
  //     * 抽奖所需积分
  //     */
  //    @ApiModelProperty(value = "抽奖所需积分")
  //    private Integer drawPoint;
  //    /**
  //     * 换取所需积分
  //     */
  //    @ApiModelProperty(value = "换取所需积分")
  //    private Integer exchangePoint;
  /** 商家模式，0 全场商家，1 指定商家 */
  @ApiModelProperty(value = "商家模式，0 全场商家，1 指定商家")
  private Integer merchantModel;
  /** 有效期 */
  @ApiModelProperty(value = "有效期")
  private Long validityTime;
  /** 创建时间 */
  @ApiModelProperty(value = "创建时间")
  private Long createTime;
  /** 修改时间 */
  @ApiModelProperty(value = "修改时间")
  private Long updateTime;

  /** 优惠券名字 */
  @ApiModelProperty(value = "优惠券名字")
  private String name;
  /** 优惠券类型的名字 */
  @ApiModelProperty(value = "优惠券类型的名字")
  private String typeName;
  /** 使用阈值 */
  @ApiModelProperty(value = "使用阈值")
  private Double ableValue;
  /** 优惠券面额 */
  @ApiModelProperty(value = "优惠券面额")
  private Double cost;
  /** 积分值 */
  @ApiModelProperty(value = "积分值")
  private Integer point;

  private Long merchantId;

  /** 商品剩余数量 */
  private Integer remainNum;
  /** 有效期结束时间 */
  private Long endValidityTime;
  /** 虚拟商品图片，优惠券类型的图片 */
  private String image;
}
